// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.26.0
// 	protoc        v3.13.0
// source: v1/order/model_product.proto

package order

import (
	timestamp "github.com/golang/protobuf/ptypes/timestamp"
	wrappers "github.com/golang/protobuf/ptypes/wrappers"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type ImageQuality int32

const (
	ImageQuality_IQ_UNSPECIFIED ImageQuality = 0
	ImageQuality_IQ_DETAILED    ImageQuality = 1
	ImageQuality_IQ_COMPRESSED  ImageQuality = 2
)

// Enum value maps for ImageQuality.
var (
	ImageQuality_name = map[int32]string{
		0: "IQ_UNSPECIFIED",
		1: "IQ_DETAILED",
		2: "IQ_COMPRESSED",
	}
	ImageQuality_value = map[string]int32{
		"IQ_UNSPECIFIED": 0,
		"IQ_DETAILED":    1,
		"IQ_COMPRESSED":  2,
	}
)

func (x ImageQuality) Enum() *ImageQuality {
	p := new(ImageQuality)
	*p = x
	return p
}

func (x ImageQuality) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (ImageQuality) Descriptor() protoreflect.EnumDescriptor {
	return file_v1_order_model_product_proto_enumTypes[0].Descriptor()
}

func (ImageQuality) Type() protoreflect.EnumType {
	return &file_v1_order_model_product_proto_enumTypes[0]
}

func (x ImageQuality) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use ImageQuality.Descriptor instead.
func (ImageQuality) EnumDescriptor() ([]byte, []int) {
	return file_v1_order_model_product_proto_rawDescGZIP(), []int{0}
}

type ProductFileType int32

const (
	ProductFileType_PFT_UNSPECIFIED ProductFileType = 0
	ProductFileType_PFT_IMAGE       ProductFileType = 1
	ProductFileType_PFT_VIDEO       ProductFileType = 2
	ProductFileType_PFT_DOCUMENT    ProductFileType = 3
)

// Enum value maps for ProductFileType.
var (
	ProductFileType_name = map[int32]string{
		0: "PFT_UNSPECIFIED",
		1: "PFT_IMAGE",
		2: "PFT_VIDEO",
		3: "PFT_DOCUMENT",
	}
	ProductFileType_value = map[string]int32{
		"PFT_UNSPECIFIED": 0,
		"PFT_IMAGE":       1,
		"PFT_VIDEO":       2,
		"PFT_DOCUMENT":    3,
	}
)

func (x ProductFileType) Enum() *ProductFileType {
	p := new(ProductFileType)
	*p = x
	return p
}

func (x ProductFileType) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (ProductFileType) Descriptor() protoreflect.EnumDescriptor {
	return file_v1_order_model_product_proto_enumTypes[1].Descriptor()
}

func (ProductFileType) Type() protoreflect.EnumType {
	return &file_v1_order_model_product_proto_enumTypes[1]
}

func (x ProductFileType) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use ProductFileType.Descriptor instead.
func (ProductFileType) EnumDescriptor() ([]byte, []int) {
	return file_v1_order_model_product_proto_rawDescGZIP(), []int{1}
}

type Product struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// product
	Id   int64  `protobuf:"varint,1,opt,name=id,proto3" json:"id,omitempty"`
	Name string `protobuf:"bytes,2,opt,name=name,proto3" json:"name,omitempty"`
	// global key
	Process ProductProcess `protobuf:"varint,3,opt,name=process,proto3,enum=fcp.order.v1.order.ProductProcess" json:"process,omitempty"`
	Type    ProductType    `protobuf:"varint,4,opt,name=type,proto3,enum=fcp.order.v1.order.ProductType" json:"type,omitempty"`
	// category
	CategoryId   int64  `protobuf:"varint,5,opt,name=category_id,json=categoryId,proto3" json:"category_id,omitempty"`
	CategoryName string `protobuf:"bytes,6,opt,name=category_name,json=categoryName,proto3" json:"category_name,omitempty"`
	// brand
	BrandId   int64  `protobuf:"varint,7,opt,name=brand_id,json=brandId,proto3" json:"brand_id,omitempty"`
	BrandName string `protobuf:"bytes,8,opt,name=brand_name,json=brandName,proto3" json:"brand_name,omitempty"`
	// type id linked to dictionary
	QuantityTypeId   int64  `protobuf:"varint,9,opt,name=quantity_type_id,json=quantityTypeId,proto3" json:"quantity_type_id,omitempty"`
	QuantityTypeName string `protobuf:"bytes,10,opt,name=quantity_type_name,json=quantityTypeName,proto3" json:"quantity_type_name,omitempty"`
	// quantity in coins
	Quantity int64 `protobuf:"varint,11,opt,name=quantity,proto3" json:"quantity,omitempty"`
	// product group
	ProductGroupId   int64  `protobuf:"varint,12,opt,name=product_group_id,json=productGroupId,proto3" json:"product_group_id,omitempty"`
	ProductGroupName string `protobuf:"bytes,13,opt,name=product_group_name,json=productGroupName,proto3" json:"product_group_name,omitempty"`
	// product sub group
	ProductSubgroupId   int64  `protobuf:"varint,14,opt,name=product_subgroup_id,json=productSubgroupId,proto3" json:"product_subgroup_id,omitempty"`
	ProductSubgroupName string `protobuf:"bytes,15,opt,name=product_subgroup_name,json=productSubgroupName,proto3" json:"product_subgroup_name,omitempty"`
	// product seeds condition
	//
	// Deprecated: Do not use.
	ProductSeedsCondition *ProductSeedsCondition `protobuf:"bytes,16,opt,name=product_seeds_condition,json=productSeedsCondition,proto3" json:"product_seeds_condition,omitempty"`
}

func (x *Product) Reset() {
	*x = Product{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_model_product_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Product) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Product) ProtoMessage() {}

func (x *Product) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_model_product_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Product.ProtoReflect.Descriptor instead.
func (*Product) Descriptor() ([]byte, []int) {
	return file_v1_order_model_product_proto_rawDescGZIP(), []int{0}
}

func (x *Product) GetId() int64 {
	if x != nil {
		return x.Id
	}
	return 0
}

func (x *Product) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

func (x *Product) GetProcess() ProductProcess {
	if x != nil {
		return x.Process
	}
	return ProductProcess_UNSPECIFIED
}

func (x *Product) GetType() ProductType {
	if x != nil {
		return x.Type
	}
	return ProductType_ProductType_UNSPECIFIED
}

func (x *Product) GetCategoryId() int64 {
	if x != nil {
		return x.CategoryId
	}
	return 0
}

func (x *Product) GetCategoryName() string {
	if x != nil {
		return x.CategoryName
	}
	return ""
}

func (x *Product) GetBrandId() int64 {
	if x != nil {
		return x.BrandId
	}
	return 0
}

func (x *Product) GetBrandName() string {
	if x != nil {
		return x.BrandName
	}
	return ""
}

func (x *Product) GetQuantityTypeId() int64 {
	if x != nil {
		return x.QuantityTypeId
	}
	return 0
}

func (x *Product) GetQuantityTypeName() string {
	if x != nil {
		return x.QuantityTypeName
	}
	return ""
}

func (x *Product) GetQuantity() int64 {
	if x != nil {
		return x.Quantity
	}
	return 0
}

func (x *Product) GetProductGroupId() int64 {
	if x != nil {
		return x.ProductGroupId
	}
	return 0
}

func (x *Product) GetProductGroupName() string {
	if x != nil {
		return x.ProductGroupName
	}
	return ""
}

func (x *Product) GetProductSubgroupId() int64 {
	if x != nil {
		return x.ProductSubgroupId
	}
	return 0
}

func (x *Product) GetProductSubgroupName() string {
	if x != nil {
		return x.ProductSubgroupName
	}
	return ""
}

// Deprecated: Do not use.
func (x *Product) GetProductSeedsCondition() *ProductSeedsCondition {
	if x != nil {
		return x.ProductSeedsCondition
	}
	return nil
}

type ProductSeedsCondition struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// sort type
	SortTypeId   int64  `protobuf:"varint,1,opt,name=sort_type_id,json=sortTypeId,proto3" json:"sort_type_id,omitempty"`
	SortTypeName string `protobuf:"bytes,2,opt,name=sort_type_name,json=sortTypeName,proto3" json:"sort_type_name,omitempty"`
	// plant type
	PlantTypeId   int64  `protobuf:"varint,3,opt,name=plant_type_id,json=plantTypeId,proto3" json:"plant_type_id,omitempty"`
	PlantTypeName string `protobuf:"bytes,4,opt,name=plant_type_name,json=plantTypeName,proto3" json:"plant_type_name,omitempty"`
	// species
	SpeciesId   int64  `protobuf:"varint,5,opt,name=species_id,json=speciesId,proto3" json:"species_id,omitempty"`
	SpeciesName string `protobuf:"bytes,6,opt,name=species_name,json=speciesName,proto3" json:"species_name,omitempty"`
	// fruit form
	FruitFormId   int64  `protobuf:"varint,7,opt,name=fruit_form_id,json=fruitFormId,proto3" json:"fruit_form_id,omitempty"`
	FruitFormName string `protobuf:"bytes,8,opt,name=fruit_form_name,json=fruitFormName,proto3" json:"fruit_form_name,omitempty"`
	// maturity group
	MaturityGroupId   int64  `protobuf:"varint,9,opt,name=maturity_group_id,json=maturityGroupId,proto3" json:"maturity_group_id,omitempty"`
	MaturityGroupName string `protobuf:"bytes,10,opt,name=maturity_group_name,json=maturityGroupName,proto3" json:"maturity_group_name,omitempty"`
	// pollination type
	PollinationTypeId   int64  `protobuf:"varint,11,opt,name=pollination_type_id,json=pollinationTypeId,proto3" json:"pollination_type_id,omitempty"`
	PollinationTypeName string `protobuf:"bytes,12,opt,name=pollination_type_name,json=pollinationTypeName,proto3" json:"pollination_type_name,omitempty"`
}

func (x *ProductSeedsCondition) Reset() {
	*x = ProductSeedsCondition{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_model_product_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ProductSeedsCondition) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ProductSeedsCondition) ProtoMessage() {}

func (x *ProductSeedsCondition) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_model_product_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ProductSeedsCondition.ProtoReflect.Descriptor instead.
func (*ProductSeedsCondition) Descriptor() ([]byte, []int) {
	return file_v1_order_model_product_proto_rawDescGZIP(), []int{1}
}

func (x *ProductSeedsCondition) GetSortTypeId() int64 {
	if x != nil {
		return x.SortTypeId
	}
	return 0
}

func (x *ProductSeedsCondition) GetSortTypeName() string {
	if x != nil {
		return x.SortTypeName
	}
	return ""
}

func (x *ProductSeedsCondition) GetPlantTypeId() int64 {
	if x != nil {
		return x.PlantTypeId
	}
	return 0
}

func (x *ProductSeedsCondition) GetPlantTypeName() string {
	if x != nil {
		return x.PlantTypeName
	}
	return ""
}

func (x *ProductSeedsCondition) GetSpeciesId() int64 {
	if x != nil {
		return x.SpeciesId
	}
	return 0
}

func (x *ProductSeedsCondition) GetSpeciesName() string {
	if x != nil {
		return x.SpeciesName
	}
	return ""
}

func (x *ProductSeedsCondition) GetFruitFormId() int64 {
	if x != nil {
		return x.FruitFormId
	}
	return 0
}

func (x *ProductSeedsCondition) GetFruitFormName() string {
	if x != nil {
		return x.FruitFormName
	}
	return ""
}

func (x *ProductSeedsCondition) GetMaturityGroupId() int64 {
	if x != nil {
		return x.MaturityGroupId
	}
	return 0
}

func (x *ProductSeedsCondition) GetMaturityGroupName() string {
	if x != nil {
		return x.MaturityGroupName
	}
	return ""
}

func (x *ProductSeedsCondition) GetPollinationTypeId() int64 {
	if x != nil {
		return x.PollinationTypeId
	}
	return 0
}

func (x *ProductSeedsCondition) GetPollinationTypeName() string {
	if x != nil {
		return x.PollinationTypeName
	}
	return ""
}

type ProductFile struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id        int64                `protobuf:"varint,1,opt,name=id,proto3" json:"id,omitempty"`
	Name      string               `protobuf:"bytes,2,opt,name=name,proto3" json:"name,omitempty"`
	Url       string               `protobuf:"bytes,3,opt,name=url,proto3" json:"url,omitempty"`
	Type      ProductFileType      `protobuf:"varint,4,opt,name=type,proto3,enum=fcp.order.v1.order.ProductFileType" json:"type,omitempty"`
	Quality   ImageQuality         `protobuf:"varint,7,opt,name=quality,proto3,enum=fcp.order.v1.order.ImageQuality" json:"quality,omitempty"`
	Order     int64                `protobuf:"varint,8,opt,name=order,proto3" json:"order,omitempty"`
	CreatedAt *timestamp.Timestamp `protobuf:"bytes,5,opt,name=created_at,json=createdAt,proto3" json:"created_at,omitempty"`
	CreatedBy string               `protobuf:"bytes,6,opt,name=created_by,json=createdBy,proto3" json:"created_by,omitempty"`
}

func (x *ProductFile) Reset() {
	*x = ProductFile{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_model_product_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ProductFile) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ProductFile) ProtoMessage() {}

func (x *ProductFile) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_model_product_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ProductFile.ProtoReflect.Descriptor instead.
func (*ProductFile) Descriptor() ([]byte, []int) {
	return file_v1_order_model_product_proto_rawDescGZIP(), []int{2}
}

func (x *ProductFile) GetId() int64 {
	if x != nil {
		return x.Id
	}
	return 0
}

func (x *ProductFile) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

func (x *ProductFile) GetUrl() string {
	if x != nil {
		return x.Url
	}
	return ""
}

func (x *ProductFile) GetType() ProductFileType {
	if x != nil {
		return x.Type
	}
	return ProductFileType_PFT_UNSPECIFIED
}

func (x *ProductFile) GetQuality() ImageQuality {
	if x != nil {
		return x.Quality
	}
	return ImageQuality_IQ_UNSPECIFIED
}

func (x *ProductFile) GetOrder() int64 {
	if x != nil {
		return x.Order
	}
	return 0
}

func (x *ProductFile) GetCreatedAt() *timestamp.Timestamp {
	if x != nil {
		return x.CreatedAt
	}
	return nil
}

func (x *ProductFile) GetCreatedBy() string {
	if x != nil {
		return x.CreatedBy
	}
	return ""
}

type ProductFileFilter struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	ProductId *wrappers.Int64Value `protobuf:"bytes,1,opt,name=product_id,json=productId,proto3" json:"product_id,omitempty"`
	// image quality not implemented
	Quality *ImageQualityValue `protobuf:"bytes,2,opt,name=quality,proto3" json:"quality,omitempty"`
	// required fields
	ProductPackageId int64             `protobuf:"varint,3,opt,name=product_package_id,json=productPackageId,proto3" json:"product_package_id,omitempty"`
	FileType         []ProductFileType `protobuf:"varint,4,rep,packed,name=file_type,json=fileType,proto3,enum=fcp.order.v1.order.ProductFileType" json:"file_type,omitempty"`
}

func (x *ProductFileFilter) Reset() {
	*x = ProductFileFilter{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_model_product_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ProductFileFilter) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ProductFileFilter) ProtoMessage() {}

func (x *ProductFileFilter) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_model_product_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ProductFileFilter.ProtoReflect.Descriptor instead.
func (*ProductFileFilter) Descriptor() ([]byte, []int) {
	return file_v1_order_model_product_proto_rawDescGZIP(), []int{3}
}

func (x *ProductFileFilter) GetProductId() *wrappers.Int64Value {
	if x != nil {
		return x.ProductId
	}
	return nil
}

func (x *ProductFileFilter) GetQuality() *ImageQualityValue {
	if x != nil {
		return x.Quality
	}
	return nil
}

func (x *ProductFileFilter) GetProductPackageId() int64 {
	if x != nil {
		return x.ProductPackageId
	}
	return 0
}

func (x *ProductFileFilter) GetFileType() []ProductFileType {
	if x != nil {
		return x.FileType
	}
	return nil
}

type ListProductFileRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	FileType []ProductFileType `protobuf:"varint,1,rep,packed,name=file_type,json=fileType,proto3,enum=fcp.order.v1.order.ProductFileType" json:"file_type,omitempty"`
	// file order, created_at
	Sorting []*Sorting `protobuf:"bytes,2,rep,name=sorting,proto3" json:"sorting,omitempty"`
}

func (x *ListProductFileRequest) Reset() {
	*x = ListProductFileRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_model_product_proto_msgTypes[4]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ListProductFileRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ListProductFileRequest) ProtoMessage() {}

func (x *ListProductFileRequest) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_model_product_proto_msgTypes[4]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ListProductFileRequest.ProtoReflect.Descriptor instead.
func (*ListProductFileRequest) Descriptor() ([]byte, []int) {
	return file_v1_order_model_product_proto_rawDescGZIP(), []int{4}
}

func (x *ListProductFileRequest) GetFileType() []ProductFileType {
	if x != nil {
		return x.FileType
	}
	return nil
}

func (x *ListProductFileRequest) GetSorting() []*Sorting {
	if x != nil {
		return x.Sorting
	}
	return nil
}

type ImageQualityValue struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Value ImageQuality `protobuf:"varint,1,opt,name=value,proto3,enum=fcp.order.v1.order.ImageQuality" json:"value,omitempty"`
}

func (x *ImageQualityValue) Reset() {
	*x = ImageQualityValue{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_model_product_proto_msgTypes[5]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ImageQualityValue) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ImageQualityValue) ProtoMessage() {}

func (x *ImageQualityValue) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_model_product_proto_msgTypes[5]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ImageQualityValue.ProtoReflect.Descriptor instead.
func (*ImageQualityValue) Descriptor() ([]byte, []int) {
	return file_v1_order_model_product_proto_rawDescGZIP(), []int{5}
}

func (x *ImageQualityValue) GetValue() ImageQuality {
	if x != nil {
		return x.Value
	}
	return ImageQuality_IQ_UNSPECIFIED
}

type ProductFilter struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// product
	Id   []int64               `protobuf:"varint,1,rep,packed,name=id,proto3" json:"id,omitempty"`
	Name *wrappers.StringValue `protobuf:"bytes,2,opt,name=name,proto3" json:"name,omitempty"`
	// global key
	Process []ProductProcess `protobuf:"varint,3,rep,packed,name=process,proto3,enum=fcp.order.v1.order.ProductProcess" json:"process,omitempty"`
	Type    []ProductType    `protobuf:"varint,4,rep,packed,name=type,proto3,enum=fcp.order.v1.order.ProductType" json:"type,omitempty"`
	// category
	CategoryId   []int64               `protobuf:"varint,5,rep,packed,name=category_id,json=categoryId,proto3" json:"category_id,omitempty"`
	CategoryName *wrappers.StringValue `protobuf:"bytes,6,opt,name=category_name,json=categoryName,proto3" json:"category_name,omitempty"`
	// brand
	BrandId   []int64               `protobuf:"varint,7,rep,packed,name=brand_id,json=brandId,proto3" json:"brand_id,omitempty"`
	BrandName *wrappers.StringValue `protobuf:"bytes,8,opt,name=brand_name,json=brandName,proto3" json:"brand_name,omitempty"`
	// quantity type
	QuantityTypeId   []int64               `protobuf:"varint,9,rep,packed,name=quantity_type_id,json=quantityTypeId,proto3" json:"quantity_type_id,omitempty"`
	QuantityTypeName *wrappers.StringValue `protobuf:"bytes,10,opt,name=quantity_type_name,json=quantityTypeName,proto3" json:"quantity_type_name,omitempty"`
	// product group
	ProductGroupId   []int64               `protobuf:"varint,11,rep,packed,name=product_group_id,json=productGroupId,proto3" json:"product_group_id,omitempty"`
	ProductGroupName *wrappers.StringValue `protobuf:"bytes,12,opt,name=product_group_name,json=productGroupName,proto3" json:"product_group_name,omitempty"`
	// product subgroup
	ProductSubgroupId   []int64               `protobuf:"varint,13,rep,packed,name=product_subgroup_id,json=productSubgroupId,proto3" json:"product_subgroup_id,omitempty"`
	ProductSubgroupName *wrappers.StringValue `protobuf:"bytes,14,opt,name=product_subgroup_name,json=productSubgroupName,proto3" json:"product_subgroup_name,omitempty"`
	// product category group
	CategoryGroupId   []int64               `protobuf:"varint,19,rep,packed,name=category_group_id,json=categoryGroupId,proto3" json:"category_group_id,omitempty"`
	CategoryGroupName *wrappers.StringValue `protobuf:"bytes,20,opt,name=category_group_name,json=categoryGroupName,proto3" json:"category_group_name,omitempty"`
	// color
	ColorId   []int64               `protobuf:"varint,15,rep,packed,name=color_id,json=colorId,proto3" json:"color_id,omitempty"`
	ColorName *wrappers.StringValue `protobuf:"bytes,16,opt,name=color_name,json=colorName,proto3" json:"color_name,omitempty"`
	// package id
	PackageId []int64 `protobuf:"varint,17,rep,packed,name=package_id,json=packageId,proto3" json:"package_id,omitempty"`
}

func (x *ProductFilter) Reset() {
	*x = ProductFilter{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_model_product_proto_msgTypes[6]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ProductFilter) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ProductFilter) ProtoMessage() {}

func (x *ProductFilter) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_model_product_proto_msgTypes[6]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ProductFilter.ProtoReflect.Descriptor instead.
func (*ProductFilter) Descriptor() ([]byte, []int) {
	return file_v1_order_model_product_proto_rawDescGZIP(), []int{6}
}

func (x *ProductFilter) GetId() []int64 {
	if x != nil {
		return x.Id
	}
	return nil
}

func (x *ProductFilter) GetName() *wrappers.StringValue {
	if x != nil {
		return x.Name
	}
	return nil
}

func (x *ProductFilter) GetProcess() []ProductProcess {
	if x != nil {
		return x.Process
	}
	return nil
}

func (x *ProductFilter) GetType() []ProductType {
	if x != nil {
		return x.Type
	}
	return nil
}

func (x *ProductFilter) GetCategoryId() []int64 {
	if x != nil {
		return x.CategoryId
	}
	return nil
}

func (x *ProductFilter) GetCategoryName() *wrappers.StringValue {
	if x != nil {
		return x.CategoryName
	}
	return nil
}

func (x *ProductFilter) GetBrandId() []int64 {
	if x != nil {
		return x.BrandId
	}
	return nil
}

func (x *ProductFilter) GetBrandName() *wrappers.StringValue {
	if x != nil {
		return x.BrandName
	}
	return nil
}

func (x *ProductFilter) GetQuantityTypeId() []int64 {
	if x != nil {
		return x.QuantityTypeId
	}
	return nil
}

func (x *ProductFilter) GetQuantityTypeName() *wrappers.StringValue {
	if x != nil {
		return x.QuantityTypeName
	}
	return nil
}

func (x *ProductFilter) GetProductGroupId() []int64 {
	if x != nil {
		return x.ProductGroupId
	}
	return nil
}

func (x *ProductFilter) GetProductGroupName() *wrappers.StringValue {
	if x != nil {
		return x.ProductGroupName
	}
	return nil
}

func (x *ProductFilter) GetProductSubgroupId() []int64 {
	if x != nil {
		return x.ProductSubgroupId
	}
	return nil
}

func (x *ProductFilter) GetProductSubgroupName() *wrappers.StringValue {
	if x != nil {
		return x.ProductSubgroupName
	}
	return nil
}

func (x *ProductFilter) GetCategoryGroupId() []int64 {
	if x != nil {
		return x.CategoryGroupId
	}
	return nil
}

func (x *ProductFilter) GetCategoryGroupName() *wrappers.StringValue {
	if x != nil {
		return x.CategoryGroupName
	}
	return nil
}

func (x *ProductFilter) GetColorId() []int64 {
	if x != nil {
		return x.ColorId
	}
	return nil
}

func (x *ProductFilter) GetColorName() *wrappers.StringValue {
	if x != nil {
		return x.ColorName
	}
	return nil
}

func (x *ProductFilter) GetPackageId() []int64 {
	if x != nil {
		return x.PackageId
	}
	return nil
}

type ProductChemicalsFilter struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	ToxicityClassId            []int64 `protobuf:"varint,1,rep,packed,name=toxicity_class_id,json=toxicityClassId,proto3" json:"toxicity_class_id,omitempty"`
	PreparativeFormId          []int64 `protobuf:"varint,2,rep,packed,name=preparative_form_id,json=preparativeFormId,proto3" json:"preparative_form_id,omitempty"`
	ProductActiveSubstanceId   []int64 `protobuf:"varint,3,rep,packed,name=product_active_substance_id,json=productActiveSubstanceId,proto3" json:"product_active_substance_id,omitempty"`
	ChemicalClassGroupId       []int64 `protobuf:"varint,4,rep,packed,name=chemical_class_group_id,json=chemicalClassGroupId,proto3" json:"chemical_class_group_id,omitempty"`
	DistributionTypeChemicalId []int64 `protobuf:"varint,5,rep,packed,name=distribution_type_chemical_id,json=distributionTypeChemicalId,proto3" json:"distribution_type_chemical_id,omitempty"`
	ApplicationMethodId        []int64 `protobuf:"varint,6,rep,packed,name=application_method_id,json=applicationMethodId,proto3" json:"application_method_id,omitempty"`
	SpectrumActionChemicalId   []int64 `protobuf:"varint,7,rep,packed,name=spectrum_action_chemical_id,json=spectrumActionChemicalId,proto3" json:"spectrum_action_chemical_id,omitempty"`
}

func (x *ProductChemicalsFilter) Reset() {
	*x = ProductChemicalsFilter{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_model_product_proto_msgTypes[7]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ProductChemicalsFilter) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ProductChemicalsFilter) ProtoMessage() {}

func (x *ProductChemicalsFilter) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_model_product_proto_msgTypes[7]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ProductChemicalsFilter.ProtoReflect.Descriptor instead.
func (*ProductChemicalsFilter) Descriptor() ([]byte, []int) {
	return file_v1_order_model_product_proto_rawDescGZIP(), []int{7}
}

func (x *ProductChemicalsFilter) GetToxicityClassId() []int64 {
	if x != nil {
		return x.ToxicityClassId
	}
	return nil
}

func (x *ProductChemicalsFilter) GetPreparativeFormId() []int64 {
	if x != nil {
		return x.PreparativeFormId
	}
	return nil
}

func (x *ProductChemicalsFilter) GetProductActiveSubstanceId() []int64 {
	if x != nil {
		return x.ProductActiveSubstanceId
	}
	return nil
}

func (x *ProductChemicalsFilter) GetChemicalClassGroupId() []int64 {
	if x != nil {
		return x.ChemicalClassGroupId
	}
	return nil
}

func (x *ProductChemicalsFilter) GetDistributionTypeChemicalId() []int64 {
	if x != nil {
		return x.DistributionTypeChemicalId
	}
	return nil
}

func (x *ProductChemicalsFilter) GetApplicationMethodId() []int64 {
	if x != nil {
		return x.ApplicationMethodId
	}
	return nil
}

func (x *ProductChemicalsFilter) GetSpectrumActionChemicalId() []int64 {
	if x != nil {
		return x.SpectrumActionChemicalId
	}
	return nil
}

type ProductSeedsFilter struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	FlowerType   []string            `protobuf:"bytes,13,rep,name=flower_type,json=flowerType,proto3" json:"flower_type,omitempty"`
	IsOrganic    *wrappers.BoolValue `protobuf:"bytes,14,opt,name=is_organic,json=isOrganic,proto3" json:"is_organic,omitempty"`
	IsPollinator *wrappers.BoolValue `protobuf:"bytes,15,opt,name=is_pollinator,json=isPollinator,proto3" json:"is_pollinator,omitempty"`
	HarvestYear  []int64             `protobuf:"varint,16,rep,packed,name=harvest_year,json=harvestYear,proto3" json:"harvest_year,omitempty"`
	// sort type
	SortTypeId   []int64               `protobuf:"varint,1,rep,packed,name=sort_type_id,json=sortTypeId,proto3" json:"sort_type_id,omitempty"`
	SortTypeName *wrappers.StringValue `protobuf:"bytes,2,opt,name=sort_type_name,json=sortTypeName,proto3" json:"sort_type_name,omitempty"`
	// plant type
	PlantTypeId   []int64               `protobuf:"varint,3,rep,packed,name=plant_type_id,json=plantTypeId,proto3" json:"plant_type_id,omitempty"`
	PlantTypeName *wrappers.StringValue `protobuf:"bytes,4,opt,name=plant_type_name,json=plantTypeName,proto3" json:"plant_type_name,omitempty"`
	// species
	SpeciesId   []int64               `protobuf:"varint,5,rep,packed,name=species_id,json=speciesId,proto3" json:"species_id,omitempty"`
	SpeciesName *wrappers.StringValue `protobuf:"bytes,6,opt,name=species_name,json=speciesName,proto3" json:"species_name,omitempty"`
	// maturity group
	MaturityGroupId   []int64               `protobuf:"varint,7,rep,packed,name=maturity_group_id,json=maturityGroupId,proto3" json:"maturity_group_id,omitempty"`
	MaturityGroupName *wrappers.StringValue `protobuf:"bytes,8,opt,name=maturity_group_name,json=maturityGroupName,proto3" json:"maturity_group_name,omitempty"`
	// fruit form
	FruitFormId   []int64               `protobuf:"varint,9,rep,packed,name=fruit_form_id,json=fruitFormId,proto3" json:"fruit_form_id,omitempty"`
	FruitFormName *wrappers.StringValue `protobuf:"bytes,10,opt,name=fruit_form_name,json=fruitFormName,proto3" json:"fruit_form_name,omitempty"`
	// pollination type
	PollinationTypeId   []int64               `protobuf:"varint,11,rep,packed,name=pollination_type_id,json=pollinationTypeId,proto3" json:"pollination_type_id,omitempty"`
	PollinationTypeName *wrappers.StringValue `protobuf:"bytes,12,opt,name=pollination_type_name,json=pollinationTypeName,proto3" json:"pollination_type_name,omitempty"`
	// fruit average weight (size)
	FruitAverageWeightId   []int64               `protobuf:"varint,17,rep,packed,name=fruit_average_weight_id,json=fruitAverageWeightId,proto3" json:"fruit_average_weight_id,omitempty"`
	FruitAverageWeightName *wrappers.StringValue `protobuf:"bytes,18,opt,name=fruit_average_weight_name,json=fruitAverageWeightName,proto3" json:"fruit_average_weight_name,omitempty"`
	// origin country
	OriginCountryId   []int64               `protobuf:"varint,19,rep,packed,name=origin_country_id,json=originCountryId,proto3" json:"origin_country_id,omitempty"`
	OriginCountryName *wrappers.StringValue `protobuf:"bytes,20,opt,name=origin_country_name,json=originCountryName,proto3" json:"origin_country_name,omitempty"`
	// treatment chemicals
	TreatmentChemicalsId   []int64               `protobuf:"varint,21,rep,packed,name=treatment_chemicals_id,json=treatmentChemicalsId,proto3" json:"treatment_chemicals_id,omitempty"`
	TreatmentChemicalsName *wrappers.StringValue `protobuf:"bytes,22,opt,name=treatment_chemicals_name,json=treatmentChemicalsName,proto3" json:"treatment_chemicals_name,omitempty"`
	// technology type
	TechnologyTypeId   []int64               `protobuf:"varint,23,rep,packed,name=technology_type_id,json=technologyTypeId,proto3" json:"technology_type_id,omitempty"`
	TechnologyTypeName *wrappers.StringValue `protobuf:"bytes,24,opt,name=technology_type_name,json=technologyTypeName,proto3" json:"technology_type_name,omitempty"`
	// grow type
	GrowTypeId   []int64               `protobuf:"varint,31,rep,packed,name=grow_type_id,json=growTypeId,proto3" json:"grow_type_id,omitempty"`
	GrowTypeName *wrappers.StringValue `protobuf:"bytes,32,opt,name=grow_type_name,json=growTypeName,proto3" json:"grow_type_name,omitempty"`
	// grow type
	GrowSeasonId   []int64               `protobuf:"varint,33,rep,packed,name=grow_season_id,json=growSeasonId,proto3" json:"grow_season_id,omitempty"`
	GrowSeasonName *wrappers.StringValue `protobuf:"bytes,34,opt,name=grow_season_name,json=growSeasonName,proto3" json:"grow_season_name,omitempty"`
	// purpose
	PurposeId   []int64               `protobuf:"varint,35,rep,packed,name=purpose_id,json=purposeId,proto3" json:"purpose_id,omitempty"`
	PurposeName *wrappers.StringValue `protobuf:"bytes,36,opt,name=purpose_name,json=purposeName,proto3" json:"purpose_name,omitempty"`
	// reproduction
	ReproductionId   []int64               `protobuf:"varint,37,rep,packed,name=reproduction_id,json=reproductionId,proto3" json:"reproduction_id,omitempty"`
	ReproductionName *wrappers.StringValue `protobuf:"bytes,38,opt,name=reproduction_name,json=reproductionName,proto3" json:"reproduction_name,omitempty"`
	// fruit tech color
	FruitTechColorName []string `protobuf:"bytes,39,rep,name=fruit_tech_color_name,json=fruitTechColorName,proto3" json:"fruit_tech_color_name,omitempty"`
	// fruit bio color
	FruitBioColorName []string `protobuf:"bytes,40,rep,name=fruit_bio_color_name,json=fruitBioColorName,proto3" json:"fruit_bio_color_name,omitempty"`
	// fruit pulp color
	FruitPulpColorName []string `protobuf:"bytes,41,rep,name=fruit_pulp_color_name,json=fruitPulpColorName,proto3" json:"fruit_pulp_color_name,omitempty"`
}

func (x *ProductSeedsFilter) Reset() {
	*x = ProductSeedsFilter{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_model_product_proto_msgTypes[8]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ProductSeedsFilter) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ProductSeedsFilter) ProtoMessage() {}

func (x *ProductSeedsFilter) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_model_product_proto_msgTypes[8]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ProductSeedsFilter.ProtoReflect.Descriptor instead.
func (*ProductSeedsFilter) Descriptor() ([]byte, []int) {
	return file_v1_order_model_product_proto_rawDescGZIP(), []int{8}
}

func (x *ProductSeedsFilter) GetFlowerType() []string {
	if x != nil {
		return x.FlowerType
	}
	return nil
}

func (x *ProductSeedsFilter) GetIsOrganic() *wrappers.BoolValue {
	if x != nil {
		return x.IsOrganic
	}
	return nil
}

func (x *ProductSeedsFilter) GetIsPollinator() *wrappers.BoolValue {
	if x != nil {
		return x.IsPollinator
	}
	return nil
}

func (x *ProductSeedsFilter) GetHarvestYear() []int64 {
	if x != nil {
		return x.HarvestYear
	}
	return nil
}

func (x *ProductSeedsFilter) GetSortTypeId() []int64 {
	if x != nil {
		return x.SortTypeId
	}
	return nil
}

func (x *ProductSeedsFilter) GetSortTypeName() *wrappers.StringValue {
	if x != nil {
		return x.SortTypeName
	}
	return nil
}

func (x *ProductSeedsFilter) GetPlantTypeId() []int64 {
	if x != nil {
		return x.PlantTypeId
	}
	return nil
}

func (x *ProductSeedsFilter) GetPlantTypeName() *wrappers.StringValue {
	if x != nil {
		return x.PlantTypeName
	}
	return nil
}

func (x *ProductSeedsFilter) GetSpeciesId() []int64 {
	if x != nil {
		return x.SpeciesId
	}
	return nil
}

func (x *ProductSeedsFilter) GetSpeciesName() *wrappers.StringValue {
	if x != nil {
		return x.SpeciesName
	}
	return nil
}

func (x *ProductSeedsFilter) GetMaturityGroupId() []int64 {
	if x != nil {
		return x.MaturityGroupId
	}
	return nil
}

func (x *ProductSeedsFilter) GetMaturityGroupName() *wrappers.StringValue {
	if x != nil {
		return x.MaturityGroupName
	}
	return nil
}

func (x *ProductSeedsFilter) GetFruitFormId() []int64 {
	if x != nil {
		return x.FruitFormId
	}
	return nil
}

func (x *ProductSeedsFilter) GetFruitFormName() *wrappers.StringValue {
	if x != nil {
		return x.FruitFormName
	}
	return nil
}

func (x *ProductSeedsFilter) GetPollinationTypeId() []int64 {
	if x != nil {
		return x.PollinationTypeId
	}
	return nil
}

func (x *ProductSeedsFilter) GetPollinationTypeName() *wrappers.StringValue {
	if x != nil {
		return x.PollinationTypeName
	}
	return nil
}

func (x *ProductSeedsFilter) GetFruitAverageWeightId() []int64 {
	if x != nil {
		return x.FruitAverageWeightId
	}
	return nil
}

func (x *ProductSeedsFilter) GetFruitAverageWeightName() *wrappers.StringValue {
	if x != nil {
		return x.FruitAverageWeightName
	}
	return nil
}

func (x *ProductSeedsFilter) GetOriginCountryId() []int64 {
	if x != nil {
		return x.OriginCountryId
	}
	return nil
}

func (x *ProductSeedsFilter) GetOriginCountryName() *wrappers.StringValue {
	if x != nil {
		return x.OriginCountryName
	}
	return nil
}

func (x *ProductSeedsFilter) GetTreatmentChemicalsId() []int64 {
	if x != nil {
		return x.TreatmentChemicalsId
	}
	return nil
}

func (x *ProductSeedsFilter) GetTreatmentChemicalsName() *wrappers.StringValue {
	if x != nil {
		return x.TreatmentChemicalsName
	}
	return nil
}

func (x *ProductSeedsFilter) GetTechnologyTypeId() []int64 {
	if x != nil {
		return x.TechnologyTypeId
	}
	return nil
}

func (x *ProductSeedsFilter) GetTechnologyTypeName() *wrappers.StringValue {
	if x != nil {
		return x.TechnologyTypeName
	}
	return nil
}

func (x *ProductSeedsFilter) GetGrowTypeId() []int64 {
	if x != nil {
		return x.GrowTypeId
	}
	return nil
}

func (x *ProductSeedsFilter) GetGrowTypeName() *wrappers.StringValue {
	if x != nil {
		return x.GrowTypeName
	}
	return nil
}

func (x *ProductSeedsFilter) GetGrowSeasonId() []int64 {
	if x != nil {
		return x.GrowSeasonId
	}
	return nil
}

func (x *ProductSeedsFilter) GetGrowSeasonName() *wrappers.StringValue {
	if x != nil {
		return x.GrowSeasonName
	}
	return nil
}

func (x *ProductSeedsFilter) GetPurposeId() []int64 {
	if x != nil {
		return x.PurposeId
	}
	return nil
}

func (x *ProductSeedsFilter) GetPurposeName() *wrappers.StringValue {
	if x != nil {
		return x.PurposeName
	}
	return nil
}

func (x *ProductSeedsFilter) GetReproductionId() []int64 {
	if x != nil {
		return x.ReproductionId
	}
	return nil
}

func (x *ProductSeedsFilter) GetReproductionName() *wrappers.StringValue {
	if x != nil {
		return x.ReproductionName
	}
	return nil
}

func (x *ProductSeedsFilter) GetFruitTechColorName() []string {
	if x != nil {
		return x.FruitTechColorName
	}
	return nil
}

func (x *ProductSeedsFilter) GetFruitBioColorName() []string {
	if x != nil {
		return x.FruitBioColorName
	}
	return nil
}

func (x *ProductSeedsFilter) GetFruitPulpColorName() []string {
	if x != nil {
		return x.FruitPulpColorName
	}
	return nil
}

//--------------------------
// RESOURCES_SEEDS = 100
//--------------------------
type ResourcesSeeds struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *ResourcesSeeds) Reset() {
	*x = ResourcesSeeds{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_model_product_proto_msgTypes[9]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ResourcesSeeds) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ResourcesSeeds) ProtoMessage() {}

func (x *ResourcesSeeds) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_model_product_proto_msgTypes[9]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ResourcesSeeds.ProtoReflect.Descriptor instead.
func (*ResourcesSeeds) Descriptor() ([]byte, []int) {
	return file_v1_order_model_product_proto_rawDescGZIP(), []int{9}
}

//--------------------------
// RESOURCES_FERTILIZE = 101;
//--------------------------
type ResourcesFertilize struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *ResourcesFertilize) Reset() {
	*x = ResourcesFertilize{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_model_product_proto_msgTypes[10]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ResourcesFertilize) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ResourcesFertilize) ProtoMessage() {}

func (x *ResourcesFertilize) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_model_product_proto_msgTypes[10]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ResourcesFertilize.ProtoReflect.Descriptor instead.
func (*ResourcesFertilize) Descriptor() ([]byte, []int) {
	return file_v1_order_model_product_proto_rawDescGZIP(), []int{10}
}

//--------------------------
// RESOURCES_MICROFERTILIZERS = 102;
//--------------------------
type ResourcesMicroFertilizers struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *ResourcesMicroFertilizers) Reset() {
	*x = ResourcesMicroFertilizers{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_model_product_proto_msgTypes[11]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ResourcesMicroFertilizers) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ResourcesMicroFertilizers) ProtoMessage() {}

func (x *ResourcesMicroFertilizers) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_model_product_proto_msgTypes[11]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ResourcesMicroFertilizers.ProtoReflect.Descriptor instead.
func (*ResourcesMicroFertilizers) Descriptor() ([]byte, []int) {
	return file_v1_order_model_product_proto_rawDescGZIP(), []int{11}
}

//--------------------------
// RESOURCES_CHEMISTRY = 103;
//--------------------------
type ResourcesChemistry struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *ResourcesChemistry) Reset() {
	*x = ResourcesChemistry{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_model_product_proto_msgTypes[12]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ResourcesChemistry) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ResourcesChemistry) ProtoMessage() {}

func (x *ResourcesChemistry) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_model_product_proto_msgTypes[12]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ResourcesChemistry.ProtoReflect.Descriptor instead.
func (*ResourcesChemistry) Descriptor() ([]byte, []int) {
	return file_v1_order_model_product_proto_rawDescGZIP(), []int{12}
}

var File_v1_order_model_product_proto protoreflect.FileDescriptor

var file_v1_order_model_product_proto_rawDesc = []byte{
	0x0a, 0x1c, 0x76, 0x31, 0x2f, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2f, 0x6d, 0x6f, 0x64, 0x65, 0x6c,
	0x5f, 0x70, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x12,
	0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64,
	0x65, 0x72, 0x1a, 0x1f, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x62, 0x75, 0x66, 0x2f, 0x74, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x2e, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x1a, 0x1e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2f, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x62, 0x75, 0x66, 0x2f, 0x77, 0x72, 0x61, 0x70, 0x70, 0x65, 0x72, 0x73, 0x2e, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x1a, 0x13, 0x76, 0x31, 0x2f, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2f, 0x65, 0x6e,
	0x75, 0x6d, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x15, 0x76, 0x31, 0x2f, 0x6f, 0x72, 0x64,
	0x65, 0x72, 0x2f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22,
	0xb7, 0x05, 0x0a, 0x07, 0x50, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x12, 0x0e, 0x0a, 0x02, 0x69,
	0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x03, 0x52, 0x02, 0x69, 0x64, 0x12, 0x12, 0x0a, 0x04, 0x6e,
	0x61, 0x6d, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x12,
	0x3c, 0x0a, 0x07, 0x70, 0x72, 0x6f, 0x63, 0x65, 0x73, 0x73, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0e,
	0x32, 0x22, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e,
	0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x50, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x50, 0x72, 0x6f,
	0x63, 0x65, 0x73, 0x73, 0x52, 0x07, 0x70, 0x72, 0x6f, 0x63, 0x65, 0x73, 0x73, 0x12, 0x33, 0x0a,
	0x04, 0x74, 0x79, 0x70, 0x65, 0x18, 0x04, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x1f, 0x2e, 0x66, 0x63,
	0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72,
	0x2e, 0x50, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x54, 0x79, 0x70, 0x65, 0x52, 0x04, 0x74, 0x79,
	0x70, 0x65, 0x12, 0x1f, 0x0a, 0x0b, 0x63, 0x61, 0x74, 0x65, 0x67, 0x6f, 0x72, 0x79, 0x5f, 0x69,
	0x64, 0x18, 0x05, 0x20, 0x01, 0x28, 0x03, 0x52, 0x0a, 0x63, 0x61, 0x74, 0x65, 0x67, 0x6f, 0x72,
	0x79, 0x49, 0x64, 0x12, 0x23, 0x0a, 0x0d, 0x63, 0x61, 0x74, 0x65, 0x67, 0x6f, 0x72, 0x79, 0x5f,
	0x6e, 0x61, 0x6d, 0x65, 0x18, 0x06, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0c, 0x63, 0x61, 0x74, 0x65,
	0x67, 0x6f, 0x72, 0x79, 0x4e, 0x61, 0x6d, 0x65, 0x12, 0x19, 0x0a, 0x08, 0x62, 0x72, 0x61, 0x6e,
	0x64, 0x5f, 0x69, 0x64, 0x18, 0x07, 0x20, 0x01, 0x28, 0x03, 0x52, 0x07, 0x62, 0x72, 0x61, 0x6e,
	0x64, 0x49, 0x64, 0x12, 0x1d, 0x0a, 0x0a, 0x62, 0x72, 0x61, 0x6e, 0x64, 0x5f, 0x6e, 0x61, 0x6d,
	0x65, 0x18, 0x08, 0x20, 0x01, 0x28, 0x09, 0x52, 0x09, 0x62, 0x72, 0x61, 0x6e, 0x64, 0x4e, 0x61,
	0x6d, 0x65, 0x12, 0x28, 0x0a, 0x10, 0x71, 0x75, 0x61, 0x6e, 0x74, 0x69, 0x74, 0x79, 0x5f, 0x74,
	0x79, 0x70, 0x65, 0x5f, 0x69, 0x64, 0x18, 0x09, 0x20, 0x01, 0x28, 0x03, 0x52, 0x0e, 0x71, 0x75,
	0x61, 0x6e, 0x74, 0x69, 0x74, 0x79, 0x54, 0x79, 0x70, 0x65, 0x49, 0x64, 0x12, 0x2c, 0x0a, 0x12,
	0x71, 0x75, 0x61, 0x6e, 0x74, 0x69, 0x74, 0x79, 0x5f, 0x74, 0x79, 0x70, 0x65, 0x5f, 0x6e, 0x61,
	0x6d, 0x65, 0x18, 0x0a, 0x20, 0x01, 0x28, 0x09, 0x52, 0x10, 0x71, 0x75, 0x61, 0x6e, 0x74, 0x69,
	0x74, 0x79, 0x54, 0x79, 0x70, 0x65, 0x4e, 0x61, 0x6d, 0x65, 0x12, 0x1a, 0x0a, 0x08, 0x71, 0x75,
	0x61, 0x6e, 0x74, 0x69, 0x74, 0x79, 0x18, 0x0b, 0x20, 0x01, 0x28, 0x03, 0x52, 0x08, 0x71, 0x75,
	0x61, 0x6e, 0x74, 0x69, 0x74, 0x79, 0x12, 0x28, 0x0a, 0x10, 0x70, 0x72, 0x6f, 0x64, 0x75, 0x63,
	0x74, 0x5f, 0x67, 0x72, 0x6f, 0x75, 0x70, 0x5f, 0x69, 0x64, 0x18, 0x0c, 0x20, 0x01, 0x28, 0x03,
	0x52, 0x0e, 0x70, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x47, 0x72, 0x6f, 0x75, 0x70, 0x49, 0x64,
	0x12, 0x2c, 0x0a, 0x12, 0x70, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x5f, 0x67, 0x72, 0x6f, 0x75,
	0x70, 0x5f, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x0d, 0x20, 0x01, 0x28, 0x09, 0x52, 0x10, 0x70, 0x72,
	0x6f, 0x64, 0x75, 0x63, 0x74, 0x47, 0x72, 0x6f, 0x75, 0x70, 0x4e, 0x61, 0x6d, 0x65, 0x12, 0x2e,
	0x0a, 0x13, 0x70, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x5f, 0x73, 0x75, 0x62, 0x67, 0x72, 0x6f,
	0x75, 0x70, 0x5f, 0x69, 0x64, 0x18, 0x0e, 0x20, 0x01, 0x28, 0x03, 0x52, 0x11, 0x70, 0x72, 0x6f,
	0x64, 0x75, 0x63, 0x74, 0x53, 0x75, 0x62, 0x67, 0x72, 0x6f, 0x75, 0x70, 0x49, 0x64, 0x12, 0x32,
	0x0a, 0x15, 0x70, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x5f, 0x73, 0x75, 0x62, 0x67, 0x72, 0x6f,
	0x75, 0x70, 0x5f, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x0f, 0x20, 0x01, 0x28, 0x09, 0x52, 0x13, 0x70,
	0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x53, 0x75, 0x62, 0x67, 0x72, 0x6f, 0x75, 0x70, 0x4e, 0x61,
	0x6d, 0x65, 0x12, 0x65, 0x0a, 0x17, 0x70, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x5f, 0x73, 0x65,
	0x65, 0x64, 0x73, 0x5f, 0x63, 0x6f, 0x6e, 0x64, 0x69, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x10, 0x20,
	0x01, 0x28, 0x0b, 0x32, 0x29, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e,
	0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x50, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74,
	0x53, 0x65, 0x65, 0x64, 0x73, 0x43, 0x6f, 0x6e, 0x64, 0x69, 0x74, 0x69, 0x6f, 0x6e, 0x42, 0x02,
	0x18, 0x01, 0x52, 0x15, 0x70, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x53, 0x65, 0x65, 0x64, 0x73,
	0x43, 0x6f, 0x6e, 0x64, 0x69, 0x74, 0x69, 0x6f, 0x6e, 0x22, 0xf9, 0x03, 0x0a, 0x15, 0x50, 0x72,
	0x6f, 0x64, 0x75, 0x63, 0x74, 0x53, 0x65, 0x65, 0x64, 0x73, 0x43, 0x6f, 0x6e, 0x64, 0x69, 0x74,
	0x69, 0x6f, 0x6e, 0x12, 0x20, 0x0a, 0x0c, 0x73, 0x6f, 0x72, 0x74, 0x5f, 0x74, 0x79, 0x70, 0x65,
	0x5f, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x03, 0x52, 0x0a, 0x73, 0x6f, 0x72, 0x74, 0x54,
	0x79, 0x70, 0x65, 0x49, 0x64, 0x12, 0x24, 0x0a, 0x0e, 0x73, 0x6f, 0x72, 0x74, 0x5f, 0x74, 0x79,
	0x70, 0x65, 0x5f, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0c, 0x73,
	0x6f, 0x72, 0x74, 0x54, 0x79, 0x70, 0x65, 0x4e, 0x61, 0x6d, 0x65, 0x12, 0x22, 0x0a, 0x0d, 0x70,
	0x6c, 0x61, 0x6e, 0x74, 0x5f, 0x74, 0x79, 0x70, 0x65, 0x5f, 0x69, 0x64, 0x18, 0x03, 0x20, 0x01,
	0x28, 0x03, 0x52, 0x0b, 0x70, 0x6c, 0x61, 0x6e, 0x74, 0x54, 0x79, 0x70, 0x65, 0x49, 0x64, 0x12,
	0x26, 0x0a, 0x0f, 0x70, 0x6c, 0x61, 0x6e, 0x74, 0x5f, 0x74, 0x79, 0x70, 0x65, 0x5f, 0x6e, 0x61,
	0x6d, 0x65, 0x18, 0x04, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0d, 0x70, 0x6c, 0x61, 0x6e, 0x74, 0x54,
	0x79, 0x70, 0x65, 0x4e, 0x61, 0x6d, 0x65, 0x12, 0x1d, 0x0a, 0x0a, 0x73, 0x70, 0x65, 0x63, 0x69,
	0x65, 0x73, 0x5f, 0x69, 0x64, 0x18, 0x05, 0x20, 0x01, 0x28, 0x03, 0x52, 0x09, 0x73, 0x70, 0x65,
	0x63, 0x69, 0x65, 0x73, 0x49, 0x64, 0x12, 0x21, 0x0a, 0x0c, 0x73, 0x70, 0x65, 0x63, 0x69, 0x65,
	0x73, 0x5f, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x06, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0b, 0x73, 0x70,
	0x65, 0x63, 0x69, 0x65, 0x73, 0x4e, 0x61, 0x6d, 0x65, 0x12, 0x22, 0x0a, 0x0d, 0x66, 0x72, 0x75,
	0x69, 0x74, 0x5f, 0x66, 0x6f, 0x72, 0x6d, 0x5f, 0x69, 0x64, 0x18, 0x07, 0x20, 0x01, 0x28, 0x03,
	0x52, 0x0b, 0x66, 0x72, 0x75, 0x69, 0x74, 0x46, 0x6f, 0x72, 0x6d, 0x49, 0x64, 0x12, 0x26, 0x0a,
	0x0f, 0x66, 0x72, 0x75, 0x69, 0x74, 0x5f, 0x66, 0x6f, 0x72, 0x6d, 0x5f, 0x6e, 0x61, 0x6d, 0x65,
	0x18, 0x08, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0d, 0x66, 0x72, 0x75, 0x69, 0x74, 0x46, 0x6f, 0x72,
	0x6d, 0x4e, 0x61, 0x6d, 0x65, 0x12, 0x2a, 0x0a, 0x11, 0x6d, 0x61, 0x74, 0x75, 0x72, 0x69, 0x74,
	0x79, 0x5f, 0x67, 0x72, 0x6f, 0x75, 0x70, 0x5f, 0x69, 0x64, 0x18, 0x09, 0x20, 0x01, 0x28, 0x03,
	0x52, 0x0f, 0x6d, 0x61, 0x74, 0x75, 0x72, 0x69, 0x74, 0x79, 0x47, 0x72, 0x6f, 0x75, 0x70, 0x49,
	0x64, 0x12, 0x2e, 0x0a, 0x13, 0x6d, 0x61, 0x74, 0x75, 0x72, 0x69, 0x74, 0x79, 0x5f, 0x67, 0x72,
	0x6f, 0x75, 0x70, 0x5f, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x0a, 0x20, 0x01, 0x28, 0x09, 0x52, 0x11,
	0x6d, 0x61, 0x74, 0x75, 0x72, 0x69, 0x74, 0x79, 0x47, 0x72, 0x6f, 0x75, 0x70, 0x4e, 0x61, 0x6d,
	0x65, 0x12, 0x2e, 0x0a, 0x13, 0x70, 0x6f, 0x6c, 0x6c, 0x69, 0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e,
	0x5f, 0x74, 0x79, 0x70, 0x65, 0x5f, 0x69, 0x64, 0x18, 0x0b, 0x20, 0x01, 0x28, 0x03, 0x52, 0x11,
	0x70, 0x6f, 0x6c, 0x6c, 0x69, 0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x54, 0x79, 0x70, 0x65, 0x49,
	0x64, 0x12, 0x32, 0x0a, 0x15, 0x70, 0x6f, 0x6c, 0x6c, 0x69, 0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e,
	0x5f, 0x74, 0x79, 0x70, 0x65, 0x5f, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x0c, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x13, 0x70, 0x6f, 0x6c, 0x6c, 0x69, 0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x54, 0x79, 0x70,
	0x65, 0x4e, 0x61, 0x6d, 0x65, 0x22, 0xa8, 0x02, 0x0a, 0x0b, 0x50, 0x72, 0x6f, 0x64, 0x75, 0x63,
	0x74, 0x46, 0x69, 0x6c, 0x65, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28,
	0x03, 0x52, 0x02, 0x69, 0x64, 0x12, 0x12, 0x0a, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x02, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x12, 0x10, 0x0a, 0x03, 0x75, 0x72, 0x6c,
	0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x03, 0x75, 0x72, 0x6c, 0x12, 0x37, 0x0a, 0x04, 0x74,
	0x79, 0x70, 0x65, 0x18, 0x04, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x23, 0x2e, 0x66, 0x63, 0x70, 0x2e,
	0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x50,
	0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x46, 0x69, 0x6c, 0x65, 0x54, 0x79, 0x70, 0x65, 0x52, 0x04,
	0x74, 0x79, 0x70, 0x65, 0x12, 0x3a, 0x0a, 0x07, 0x71, 0x75, 0x61, 0x6c, 0x69, 0x74, 0x79, 0x18,
	0x07, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x20, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65,
	0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x49, 0x6d, 0x61, 0x67, 0x65,
	0x51, 0x75, 0x61, 0x6c, 0x69, 0x74, 0x79, 0x52, 0x07, 0x71, 0x75, 0x61, 0x6c, 0x69, 0x74, 0x79,
	0x12, 0x14, 0x0a, 0x05, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x18, 0x08, 0x20, 0x01, 0x28, 0x03, 0x52,
	0x05, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x12, 0x39, 0x0a, 0x0a, 0x63, 0x72, 0x65, 0x61, 0x74, 0x65,
	0x64, 0x5f, 0x61, 0x74, 0x18, 0x05, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1a, 0x2e, 0x67, 0x6f, 0x6f,
	0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x54, 0x69, 0x6d,
	0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x52, 0x09, 0x63, 0x72, 0x65, 0x61, 0x74, 0x65, 0x64, 0x41,
	0x74, 0x12, 0x1d, 0x0a, 0x0a, 0x63, 0x72, 0x65, 0x61, 0x74, 0x65, 0x64, 0x5f, 0x62, 0x79, 0x18,
	0x06, 0x20, 0x01, 0x28, 0x09, 0x52, 0x09, 0x63, 0x72, 0x65, 0x61, 0x74, 0x65, 0x64, 0x42, 0x79,
	0x22, 0x80, 0x02, 0x0a, 0x11, 0x50, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x46, 0x69, 0x6c, 0x65,
	0x46, 0x69, 0x6c, 0x74, 0x65, 0x72, 0x12, 0x3a, 0x0a, 0x0a, 0x70, 0x72, 0x6f, 0x64, 0x75, 0x63,
	0x74, 0x5f, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1b, 0x2e, 0x67, 0x6f, 0x6f,
	0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x49, 0x6e, 0x74,
	0x36, 0x34, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x52, 0x09, 0x70, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74,
	0x49, 0x64, 0x12, 0x3f, 0x0a, 0x07, 0x71, 0x75, 0x61, 0x6c, 0x69, 0x74, 0x79, 0x18, 0x02, 0x20,
	0x01, 0x28, 0x0b, 0x32, 0x25, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e,
	0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x49, 0x6d, 0x61, 0x67, 0x65, 0x51, 0x75,
	0x61, 0x6c, 0x69, 0x74, 0x79, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x52, 0x07, 0x71, 0x75, 0x61, 0x6c,
	0x69, 0x74, 0x79, 0x12, 0x2c, 0x0a, 0x12, 0x70, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x5f, 0x70,
	0x61, 0x63, 0x6b, 0x61, 0x67, 0x65, 0x5f, 0x69, 0x64, 0x18, 0x03, 0x20, 0x01, 0x28, 0x03, 0x52,
	0x10, 0x70, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x50, 0x61, 0x63, 0x6b, 0x61, 0x67, 0x65, 0x49,
	0x64, 0x12, 0x40, 0x0a, 0x09, 0x66, 0x69, 0x6c, 0x65, 0x5f, 0x74, 0x79, 0x70, 0x65, 0x18, 0x04,
	0x20, 0x03, 0x28, 0x0e, 0x32, 0x23, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72,
	0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x50, 0x72, 0x6f, 0x64, 0x75, 0x63,
	0x74, 0x46, 0x69, 0x6c, 0x65, 0x54, 0x79, 0x70, 0x65, 0x52, 0x08, 0x66, 0x69, 0x6c, 0x65, 0x54,
	0x79, 0x70, 0x65, 0x22, 0x91, 0x01, 0x0a, 0x16, 0x4c, 0x69, 0x73, 0x74, 0x50, 0x72, 0x6f, 0x64,
	0x75, 0x63, 0x74, 0x46, 0x69, 0x6c, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x40,
	0x0a, 0x09, 0x66, 0x69, 0x6c, 0x65, 0x5f, 0x74, 0x79, 0x70, 0x65, 0x18, 0x01, 0x20, 0x03, 0x28,
	0x0e, 0x32, 0x23, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31,
	0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x50, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x46, 0x69,
	0x6c, 0x65, 0x54, 0x79, 0x70, 0x65, 0x52, 0x08, 0x66, 0x69, 0x6c, 0x65, 0x54, 0x79, 0x70, 0x65,
	0x12, 0x35, 0x0a, 0x07, 0x73, 0x6f, 0x72, 0x74, 0x69, 0x6e, 0x67, 0x18, 0x02, 0x20, 0x03, 0x28,
	0x0b, 0x32, 0x1b, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31,
	0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x53, 0x6f, 0x72, 0x74, 0x69, 0x6e, 0x67, 0x52, 0x07,
	0x73, 0x6f, 0x72, 0x74, 0x69, 0x6e, 0x67, 0x22, 0x4b, 0x0a, 0x11, 0x49, 0x6d, 0x61, 0x67, 0x65,
	0x51, 0x75, 0x61, 0x6c, 0x69, 0x74, 0x79, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x12, 0x36, 0x0a, 0x05,
	0x76, 0x61, 0x6c, 0x75, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x20, 0x2e, 0x66, 0x63,
	0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72,
	0x2e, 0x49, 0x6d, 0x61, 0x67, 0x65, 0x51, 0x75, 0x61, 0x6c, 0x69, 0x74, 0x79, 0x52, 0x05, 0x76,
	0x61, 0x6c, 0x75, 0x65, 0x22, 0xe5, 0x07, 0x0a, 0x0d, 0x50, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74,
	0x46, 0x69, 0x6c, 0x74, 0x65, 0x72, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x03,
	0x28, 0x03, 0x52, 0x02, 0x69, 0x64, 0x12, 0x30, 0x0a, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x02,
	0x20, 0x01, 0x28, 0x0b, 0x32, 0x1c, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x53, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x56, 0x61, 0x6c,
	0x75, 0x65, 0x52, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x12, 0x3c, 0x0a, 0x07, 0x70, 0x72, 0x6f, 0x63,
	0x65, 0x73, 0x73, 0x18, 0x03, 0x20, 0x03, 0x28, 0x0e, 0x32, 0x22, 0x2e, 0x66, 0x63, 0x70, 0x2e,
	0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x50,
	0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x50, 0x72, 0x6f, 0x63, 0x65, 0x73, 0x73, 0x52, 0x07, 0x70,
	0x72, 0x6f, 0x63, 0x65, 0x73, 0x73, 0x12, 0x33, 0x0a, 0x04, 0x74, 0x79, 0x70, 0x65, 0x18, 0x04,
	0x20, 0x03, 0x28, 0x0e, 0x32, 0x1f, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72,
	0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x50, 0x72, 0x6f, 0x64, 0x75, 0x63,
	0x74, 0x54, 0x79, 0x70, 0x65, 0x52, 0x04, 0x74, 0x79, 0x70, 0x65, 0x12, 0x1f, 0x0a, 0x0b, 0x63,
	0x61, 0x74, 0x65, 0x67, 0x6f, 0x72, 0x79, 0x5f, 0x69, 0x64, 0x18, 0x05, 0x20, 0x03, 0x28, 0x03,
	0x52, 0x0a, 0x63, 0x61, 0x74, 0x65, 0x67, 0x6f, 0x72, 0x79, 0x49, 0x64, 0x12, 0x41, 0x0a, 0x0d,
	0x63, 0x61, 0x74, 0x65, 0x67, 0x6f, 0x72, 0x79, 0x5f, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x06, 0x20,
	0x01, 0x28, 0x0b, 0x32, 0x1c, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x53, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x56, 0x61, 0x6c, 0x75,
	0x65, 0x52, 0x0c, 0x63, 0x61, 0x74, 0x65, 0x67, 0x6f, 0x72, 0x79, 0x4e, 0x61, 0x6d, 0x65, 0x12,
	0x19, 0x0a, 0x08, 0x62, 0x72, 0x61, 0x6e, 0x64, 0x5f, 0x69, 0x64, 0x18, 0x07, 0x20, 0x03, 0x28,
	0x03, 0x52, 0x07, 0x62, 0x72, 0x61, 0x6e, 0x64, 0x49, 0x64, 0x12, 0x3b, 0x0a, 0x0a, 0x62, 0x72,
	0x61, 0x6e, 0x64, 0x5f, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x08, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1c,
	0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66,
	0x2e, 0x53, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x52, 0x09, 0x62, 0x72,
	0x61, 0x6e, 0x64, 0x4e, 0x61, 0x6d, 0x65, 0x12, 0x28, 0x0a, 0x10, 0x71, 0x75, 0x61, 0x6e, 0x74,
	0x69, 0x74, 0x79, 0x5f, 0x74, 0x79, 0x70, 0x65, 0x5f, 0x69, 0x64, 0x18, 0x09, 0x20, 0x03, 0x28,
	0x03, 0x52, 0x0e, 0x71, 0x75, 0x61, 0x6e, 0x74, 0x69, 0x74, 0x79, 0x54, 0x79, 0x70, 0x65, 0x49,
	0x64, 0x12, 0x4a, 0x0a, 0x12, 0x71, 0x75, 0x61, 0x6e, 0x74, 0x69, 0x74, 0x79, 0x5f, 0x74, 0x79,
	0x70, 0x65, 0x5f, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x0a, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1c, 0x2e,
	0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e,
	0x53, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x52, 0x10, 0x71, 0x75, 0x61,
	0x6e, 0x74, 0x69, 0x74, 0x79, 0x54, 0x79, 0x70, 0x65, 0x4e, 0x61, 0x6d, 0x65, 0x12, 0x28, 0x0a,
	0x10, 0x70, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x5f, 0x67, 0x72, 0x6f, 0x75, 0x70, 0x5f, 0x69,
	0x64, 0x18, 0x0b, 0x20, 0x03, 0x28, 0x03, 0x52, 0x0e, 0x70, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74,
	0x47, 0x72, 0x6f, 0x75, 0x70, 0x49, 0x64, 0x12, 0x4a, 0x0a, 0x12, 0x70, 0x72, 0x6f, 0x64, 0x75,
	0x63, 0x74, 0x5f, 0x67, 0x72, 0x6f, 0x75, 0x70, 0x5f, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x0c, 0x20,
	0x01, 0x28, 0x0b, 0x32, 0x1c, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x53, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x56, 0x61, 0x6c, 0x75,
	0x65, 0x52, 0x10, 0x70, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x47, 0x72, 0x6f, 0x75, 0x70, 0x4e,
	0x61, 0x6d, 0x65, 0x12, 0x2e, 0x0a, 0x13, 0x70, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x5f, 0x73,
	0x75, 0x62, 0x67, 0x72, 0x6f, 0x75, 0x70, 0x5f, 0x69, 0x64, 0x18, 0x0d, 0x20, 0x03, 0x28, 0x03,
	0x52, 0x11, 0x70, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x53, 0x75, 0x62, 0x67, 0x72, 0x6f, 0x75,
	0x70, 0x49, 0x64, 0x12, 0x50, 0x0a, 0x15, 0x70, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x5f, 0x73,
	0x75, 0x62, 0x67, 0x72, 0x6f, 0x75, 0x70, 0x5f, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x0e, 0x20, 0x01,
	0x28, 0x0b, 0x32, 0x1c, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x62, 0x75, 0x66, 0x2e, 0x53, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x56, 0x61, 0x6c, 0x75, 0x65,
	0x52, 0x13, 0x70, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x53, 0x75, 0x62, 0x67, 0x72, 0x6f, 0x75,
	0x70, 0x4e, 0x61, 0x6d, 0x65, 0x12, 0x2a, 0x0a, 0x11, 0x63, 0x61, 0x74, 0x65, 0x67, 0x6f, 0x72,
	0x79, 0x5f, 0x67, 0x72, 0x6f, 0x75, 0x70, 0x5f, 0x69, 0x64, 0x18, 0x13, 0x20, 0x03, 0x28, 0x03,
	0x52, 0x0f, 0x63, 0x61, 0x74, 0x65, 0x67, 0x6f, 0x72, 0x79, 0x47, 0x72, 0x6f, 0x75, 0x70, 0x49,
	0x64, 0x12, 0x4c, 0x0a, 0x13, 0x63, 0x61, 0x74, 0x65, 0x67, 0x6f, 0x72, 0x79, 0x5f, 0x67, 0x72,
	0x6f, 0x75, 0x70, 0x5f, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x14, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1c,
	0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66,
	0x2e, 0x53, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x52, 0x11, 0x63, 0x61,
	0x74, 0x65, 0x67, 0x6f, 0x72, 0x79, 0x47, 0x72, 0x6f, 0x75, 0x70, 0x4e, 0x61, 0x6d, 0x65, 0x12,
	0x19, 0x0a, 0x08, 0x63, 0x6f, 0x6c, 0x6f, 0x72, 0x5f, 0x69, 0x64, 0x18, 0x0f, 0x20, 0x03, 0x28,
	0x03, 0x52, 0x07, 0x63, 0x6f, 0x6c, 0x6f, 0x72, 0x49, 0x64, 0x12, 0x3b, 0x0a, 0x0a, 0x63, 0x6f,
	0x6c, 0x6f, 0x72, 0x5f, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x10, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1c,
	0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66,
	0x2e, 0x53, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x52, 0x09, 0x63, 0x6f,
	0x6c, 0x6f, 0x72, 0x4e, 0x61, 0x6d, 0x65, 0x12, 0x1d, 0x0a, 0x0a, 0x70, 0x61, 0x63, 0x6b, 0x61,
	0x67, 0x65, 0x5f, 0x69, 0x64, 0x18, 0x11, 0x20, 0x03, 0x28, 0x03, 0x52, 0x09, 0x70, 0x61, 0x63,
	0x6b, 0x61, 0x67, 0x65, 0x49, 0x64, 0x4a, 0x04, 0x08, 0x12, 0x10, 0x13, 0x22, 0xa0, 0x03, 0x0a,
	0x16, 0x50, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x43, 0x68, 0x65, 0x6d, 0x69, 0x63, 0x61, 0x6c,
	0x73, 0x46, 0x69, 0x6c, 0x74, 0x65, 0x72, 0x12, 0x2a, 0x0a, 0x11, 0x74, 0x6f, 0x78, 0x69, 0x63,
	0x69, 0x74, 0x79, 0x5f, 0x63, 0x6c, 0x61, 0x73, 0x73, 0x5f, 0x69, 0x64, 0x18, 0x01, 0x20, 0x03,
	0x28, 0x03, 0x52, 0x0f, 0x74, 0x6f, 0x78, 0x69, 0x63, 0x69, 0x74, 0x79, 0x43, 0x6c, 0x61, 0x73,
	0x73, 0x49, 0x64, 0x12, 0x2e, 0x0a, 0x13, 0x70, 0x72, 0x65, 0x70, 0x61, 0x72, 0x61, 0x74, 0x69,
	0x76, 0x65, 0x5f, 0x66, 0x6f, 0x72, 0x6d, 0x5f, 0x69, 0x64, 0x18, 0x02, 0x20, 0x03, 0x28, 0x03,
	0x52, 0x11, 0x70, 0x72, 0x65, 0x70, 0x61, 0x72, 0x61, 0x74, 0x69, 0x76, 0x65, 0x46, 0x6f, 0x72,
	0x6d, 0x49, 0x64, 0x12, 0x3d, 0x0a, 0x1b, 0x70, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x5f, 0x61,
	0x63, 0x74, 0x69, 0x76, 0x65, 0x5f, 0x73, 0x75, 0x62, 0x73, 0x74, 0x61, 0x6e, 0x63, 0x65, 0x5f,
	0x69, 0x64, 0x18, 0x03, 0x20, 0x03, 0x28, 0x03, 0x52, 0x18, 0x70, 0x72, 0x6f, 0x64, 0x75, 0x63,
	0x74, 0x41, 0x63, 0x74, 0x69, 0x76, 0x65, 0x53, 0x75, 0x62, 0x73, 0x74, 0x61, 0x6e, 0x63, 0x65,
	0x49, 0x64, 0x12, 0x35, 0x0a, 0x17, 0x63, 0x68, 0x65, 0x6d, 0x69, 0x63, 0x61, 0x6c, 0x5f, 0x63,
	0x6c, 0x61, 0x73, 0x73, 0x5f, 0x67, 0x72, 0x6f, 0x75, 0x70, 0x5f, 0x69, 0x64, 0x18, 0x04, 0x20,
	0x03, 0x28, 0x03, 0x52, 0x14, 0x63, 0x68, 0x65, 0x6d, 0x69, 0x63, 0x61, 0x6c, 0x43, 0x6c, 0x61,
	0x73, 0x73, 0x47, 0x72, 0x6f, 0x75, 0x70, 0x49, 0x64, 0x12, 0x41, 0x0a, 0x1d, 0x64, 0x69, 0x73,
	0x74, 0x72, 0x69, 0x62, 0x75, 0x74, 0x69, 0x6f, 0x6e, 0x5f, 0x74, 0x79, 0x70, 0x65, 0x5f, 0x63,
	0x68, 0x65, 0x6d, 0x69, 0x63, 0x61, 0x6c, 0x5f, 0x69, 0x64, 0x18, 0x05, 0x20, 0x03, 0x28, 0x03,
	0x52, 0x1a, 0x64, 0x69, 0x73, 0x74, 0x72, 0x69, 0x62, 0x75, 0x74, 0x69, 0x6f, 0x6e, 0x54, 0x79,
	0x70, 0x65, 0x43, 0x68, 0x65, 0x6d, 0x69, 0x63, 0x61, 0x6c, 0x49, 0x64, 0x12, 0x32, 0x0a, 0x15,
	0x61, 0x70, 0x70, 0x6c, 0x69, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x5f, 0x6d, 0x65, 0x74, 0x68,
	0x6f, 0x64, 0x5f, 0x69, 0x64, 0x18, 0x06, 0x20, 0x03, 0x28, 0x03, 0x52, 0x13, 0x61, 0x70, 0x70,
	0x6c, 0x69, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x4d, 0x65, 0x74, 0x68, 0x6f, 0x64, 0x49, 0x64,
	0x12, 0x3d, 0x0a, 0x1b, 0x73, 0x70, 0x65, 0x63, 0x74, 0x72, 0x75, 0x6d, 0x5f, 0x61, 0x63, 0x74,
	0x69, 0x6f, 0x6e, 0x5f, 0x63, 0x68, 0x65, 0x6d, 0x69, 0x63, 0x61, 0x6c, 0x5f, 0x69, 0x64, 0x18,
	0x07, 0x20, 0x03, 0x28, 0x03, 0x52, 0x18, 0x73, 0x70, 0x65, 0x63, 0x74, 0x72, 0x75, 0x6d, 0x41,
	0x63, 0x74, 0x69, 0x6f, 0x6e, 0x43, 0x68, 0x65, 0x6d, 0x69, 0x63, 0x61, 0x6c, 0x49, 0x64, 0x22,
	0xc5, 0x0f, 0x0a, 0x12, 0x50, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x53, 0x65, 0x65, 0x64, 0x73,
	0x46, 0x69, 0x6c, 0x74, 0x65, 0x72, 0x12, 0x1f, 0x0a, 0x0b, 0x66, 0x6c, 0x6f, 0x77, 0x65, 0x72,
	0x5f, 0x74, 0x79, 0x70, 0x65, 0x18, 0x0d, 0x20, 0x03, 0x28, 0x09, 0x52, 0x0a, 0x66, 0x6c, 0x6f,
	0x77, 0x65, 0x72, 0x54, 0x79, 0x70, 0x65, 0x12, 0x39, 0x0a, 0x0a, 0x69, 0x73, 0x5f, 0x6f, 0x72,
	0x67, 0x61, 0x6e, 0x69, 0x63, 0x18, 0x0e, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1a, 0x2e, 0x67, 0x6f,
	0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x42, 0x6f,
	0x6f, 0x6c, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x52, 0x09, 0x69, 0x73, 0x4f, 0x72, 0x67, 0x61, 0x6e,
	0x69, 0x63, 0x12, 0x3f, 0x0a, 0x0d, 0x69, 0x73, 0x5f, 0x70, 0x6f, 0x6c, 0x6c, 0x69, 0x6e, 0x61,
	0x74, 0x6f, 0x72, 0x18, 0x0f, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1a, 0x2e, 0x67, 0x6f, 0x6f, 0x67,
	0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x42, 0x6f, 0x6f, 0x6c,
	0x56, 0x61, 0x6c, 0x75, 0x65, 0x52, 0x0c, 0x69, 0x73, 0x50, 0x6f, 0x6c, 0x6c, 0x69, 0x6e, 0x61,
	0x74, 0x6f, 0x72, 0x12, 0x21, 0x0a, 0x0c, 0x68, 0x61, 0x72, 0x76, 0x65, 0x73, 0x74, 0x5f, 0x79,
	0x65, 0x61, 0x72, 0x18, 0x10, 0x20, 0x03, 0x28, 0x03, 0x52, 0x0b, 0x68, 0x61, 0x72, 0x76, 0x65,
	0x73, 0x74, 0x59, 0x65, 0x61, 0x72, 0x12, 0x20, 0x0a, 0x0c, 0x73, 0x6f, 0x72, 0x74, 0x5f, 0x74,
	0x79, 0x70, 0x65, 0x5f, 0x69, 0x64, 0x18, 0x01, 0x20, 0x03, 0x28, 0x03, 0x52, 0x0a, 0x73, 0x6f,
	0x72, 0x74, 0x54, 0x79, 0x70, 0x65, 0x49, 0x64, 0x12, 0x42, 0x0a, 0x0e, 0x73, 0x6f, 0x72, 0x74,
	0x5f, 0x74, 0x79, 0x70, 0x65, 0x5f, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b,
	0x32, 0x1c, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62,
	0x75, 0x66, 0x2e, 0x53, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x52, 0x0c,
	0x73, 0x6f, 0x72, 0x74, 0x54, 0x79, 0x70, 0x65, 0x4e, 0x61, 0x6d, 0x65, 0x12, 0x22, 0x0a, 0x0d,
	0x70, 0x6c, 0x61, 0x6e, 0x74, 0x5f, 0x74, 0x79, 0x70, 0x65, 0x5f, 0x69, 0x64, 0x18, 0x03, 0x20,
	0x03, 0x28, 0x03, 0x52, 0x0b, 0x70, 0x6c, 0x61, 0x6e, 0x74, 0x54, 0x79, 0x70, 0x65, 0x49, 0x64,
	0x12, 0x44, 0x0a, 0x0f, 0x70, 0x6c, 0x61, 0x6e, 0x74, 0x5f, 0x74, 0x79, 0x70, 0x65, 0x5f, 0x6e,
	0x61, 0x6d, 0x65, 0x18, 0x04, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1c, 0x2e, 0x67, 0x6f, 0x6f, 0x67,
	0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x53, 0x74, 0x72, 0x69,
	0x6e, 0x67, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x52, 0x0d, 0x70, 0x6c, 0x61, 0x6e, 0x74, 0x54, 0x79,
	0x70, 0x65, 0x4e, 0x61, 0x6d, 0x65, 0x12, 0x1d, 0x0a, 0x0a, 0x73, 0x70, 0x65, 0x63, 0x69, 0x65,
	0x73, 0x5f, 0x69, 0x64, 0x18, 0x05, 0x20, 0x03, 0x28, 0x03, 0x52, 0x09, 0x73, 0x70, 0x65, 0x63,
	0x69, 0x65, 0x73, 0x49, 0x64, 0x12, 0x3f, 0x0a, 0x0c, 0x73, 0x70, 0x65, 0x63, 0x69, 0x65, 0x73,
	0x5f, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x06, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1c, 0x2e, 0x67, 0x6f,
	0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x53, 0x74,
	0x72, 0x69, 0x6e, 0x67, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x52, 0x0b, 0x73, 0x70, 0x65, 0x63, 0x69,
	0x65, 0x73, 0x4e, 0x61, 0x6d, 0x65, 0x12, 0x2a, 0x0a, 0x11, 0x6d, 0x61, 0x74, 0x75, 0x72, 0x69,
	0x74, 0x79, 0x5f, 0x67, 0x72, 0x6f, 0x75, 0x70, 0x5f, 0x69, 0x64, 0x18, 0x07, 0x20, 0x03, 0x28,
	0x03, 0x52, 0x0f, 0x6d, 0x61, 0x74, 0x75, 0x72, 0x69, 0x74, 0x79, 0x47, 0x72, 0x6f, 0x75, 0x70,
	0x49, 0x64, 0x12, 0x4c, 0x0a, 0x13, 0x6d, 0x61, 0x74, 0x75, 0x72, 0x69, 0x74, 0x79, 0x5f, 0x67,
	0x72, 0x6f, 0x75, 0x70, 0x5f, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x08, 0x20, 0x01, 0x28, 0x0b, 0x32,
	0x1c, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75,
	0x66, 0x2e, 0x53, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x52, 0x11, 0x6d,
	0x61, 0x74, 0x75, 0x72, 0x69, 0x74, 0x79, 0x47, 0x72, 0x6f, 0x75, 0x70, 0x4e, 0x61, 0x6d, 0x65,
	0x12, 0x22, 0x0a, 0x0d, 0x66, 0x72, 0x75, 0x69, 0x74, 0x5f, 0x66, 0x6f, 0x72, 0x6d, 0x5f, 0x69,
	0x64, 0x18, 0x09, 0x20, 0x03, 0x28, 0x03, 0x52, 0x0b, 0x66, 0x72, 0x75, 0x69, 0x74, 0x46, 0x6f,
	0x72, 0x6d, 0x49, 0x64, 0x12, 0x44, 0x0a, 0x0f, 0x66, 0x72, 0x75, 0x69, 0x74, 0x5f, 0x66, 0x6f,
	0x72, 0x6d, 0x5f, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x0a, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1c, 0x2e,
	0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e,
	0x53, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x52, 0x0d, 0x66, 0x72, 0x75,
	0x69, 0x74, 0x46, 0x6f, 0x72, 0x6d, 0x4e, 0x61, 0x6d, 0x65, 0x12, 0x2e, 0x0a, 0x13, 0x70, 0x6f,
	0x6c, 0x6c, 0x69, 0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x5f, 0x74, 0x79, 0x70, 0x65, 0x5f, 0x69,
	0x64, 0x18, 0x0b, 0x20, 0x03, 0x28, 0x03, 0x52, 0x11, 0x70, 0x6f, 0x6c, 0x6c, 0x69, 0x6e, 0x61,
	0x74, 0x69, 0x6f, 0x6e, 0x54, 0x79, 0x70, 0x65, 0x49, 0x64, 0x12, 0x50, 0x0a, 0x15, 0x70, 0x6f,
	0x6c, 0x6c, 0x69, 0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x5f, 0x74, 0x79, 0x70, 0x65, 0x5f, 0x6e,
	0x61, 0x6d, 0x65, 0x18, 0x0c, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1c, 0x2e, 0x67, 0x6f, 0x6f, 0x67,
	0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x53, 0x74, 0x72, 0x69,
	0x6e, 0x67, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x52, 0x13, 0x70, 0x6f, 0x6c, 0x6c, 0x69, 0x6e, 0x61,
	0x74, 0x69, 0x6f, 0x6e, 0x54, 0x79, 0x70, 0x65, 0x4e, 0x61, 0x6d, 0x65, 0x12, 0x35, 0x0a, 0x17,
	0x66, 0x72, 0x75, 0x69, 0x74, 0x5f, 0x61, 0x76, 0x65, 0x72, 0x61, 0x67, 0x65, 0x5f, 0x77, 0x65,
	0x69, 0x67, 0x68, 0x74, 0x5f, 0x69, 0x64, 0x18, 0x11, 0x20, 0x03, 0x28, 0x03, 0x52, 0x14, 0x66,
	0x72, 0x75, 0x69, 0x74, 0x41, 0x76, 0x65, 0x72, 0x61, 0x67, 0x65, 0x57, 0x65, 0x69, 0x67, 0x68,
	0x74, 0x49, 0x64, 0x12, 0x57, 0x0a, 0x19, 0x66, 0x72, 0x75, 0x69, 0x74, 0x5f, 0x61, 0x76, 0x65,
	0x72, 0x61, 0x67, 0x65, 0x5f, 0x77, 0x65, 0x69, 0x67, 0x68, 0x74, 0x5f, 0x6e, 0x61, 0x6d, 0x65,
	0x18, 0x12, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1c, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x53, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x56,
	0x61, 0x6c, 0x75, 0x65, 0x52, 0x16, 0x66, 0x72, 0x75, 0x69, 0x74, 0x41, 0x76, 0x65, 0x72, 0x61,
	0x67, 0x65, 0x57, 0x65, 0x69, 0x67, 0x68, 0x74, 0x4e, 0x61, 0x6d, 0x65, 0x12, 0x2a, 0x0a, 0x11,
	0x6f, 0x72, 0x69, 0x67, 0x69, 0x6e, 0x5f, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x72, 0x79, 0x5f, 0x69,
	0x64, 0x18, 0x13, 0x20, 0x03, 0x28, 0x03, 0x52, 0x0f, 0x6f, 0x72, 0x69, 0x67, 0x69, 0x6e, 0x43,
	0x6f, 0x75, 0x6e, 0x74, 0x72, 0x79, 0x49, 0x64, 0x12, 0x4c, 0x0a, 0x13, 0x6f, 0x72, 0x69, 0x67,
	0x69, 0x6e, 0x5f, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x72, 0x79, 0x5f, 0x6e, 0x61, 0x6d, 0x65, 0x18,
	0x14, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1c, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x53, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x56, 0x61,
	0x6c, 0x75, 0x65, 0x52, 0x11, 0x6f, 0x72, 0x69, 0x67, 0x69, 0x6e, 0x43, 0x6f, 0x75, 0x6e, 0x74,
	0x72, 0x79, 0x4e, 0x61, 0x6d, 0x65, 0x12, 0x34, 0x0a, 0x16, 0x74, 0x72, 0x65, 0x61, 0x74, 0x6d,
	0x65, 0x6e, 0x74, 0x5f, 0x63, 0x68, 0x65, 0x6d, 0x69, 0x63, 0x61, 0x6c, 0x73, 0x5f, 0x69, 0x64,
	0x18, 0x15, 0x20, 0x03, 0x28, 0x03, 0x52, 0x14, 0x74, 0x72, 0x65, 0x61, 0x74, 0x6d, 0x65, 0x6e,
	0x74, 0x43, 0x68, 0x65, 0x6d, 0x69, 0x63, 0x61, 0x6c, 0x73, 0x49, 0x64, 0x12, 0x56, 0x0a, 0x18,
	0x74, 0x72, 0x65, 0x61, 0x74, 0x6d, 0x65, 0x6e, 0x74, 0x5f, 0x63, 0x68, 0x65, 0x6d, 0x69, 0x63,
	0x61, 0x6c, 0x73, 0x5f, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x16, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1c,
	0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66,
	0x2e, 0x53, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x52, 0x16, 0x74, 0x72,
	0x65, 0x61, 0x74, 0x6d, 0x65, 0x6e, 0x74, 0x43, 0x68, 0x65, 0x6d, 0x69, 0x63, 0x61, 0x6c, 0x73,
	0x4e, 0x61, 0x6d, 0x65, 0x12, 0x2c, 0x0a, 0x12, 0x74, 0x65, 0x63, 0x68, 0x6e, 0x6f, 0x6c, 0x6f,
	0x67, 0x79, 0x5f, 0x74, 0x79, 0x70, 0x65, 0x5f, 0x69, 0x64, 0x18, 0x17, 0x20, 0x03, 0x28, 0x03,
	0x52, 0x10, 0x74, 0x65, 0x63, 0x68, 0x6e, 0x6f, 0x6c, 0x6f, 0x67, 0x79, 0x54, 0x79, 0x70, 0x65,
	0x49, 0x64, 0x12, 0x4e, 0x0a, 0x14, 0x74, 0x65, 0x63, 0x68, 0x6e, 0x6f, 0x6c, 0x6f, 0x67, 0x79,
	0x5f, 0x74, 0x79, 0x70, 0x65, 0x5f, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x18, 0x20, 0x01, 0x28, 0x0b,
	0x32, 0x1c, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62,
	0x75, 0x66, 0x2e, 0x53, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x52, 0x12,
	0x74, 0x65, 0x63, 0x68, 0x6e, 0x6f, 0x6c, 0x6f, 0x67, 0x79, 0x54, 0x79, 0x70, 0x65, 0x4e, 0x61,
	0x6d, 0x65, 0x12, 0x20, 0x0a, 0x0c, 0x67, 0x72, 0x6f, 0x77, 0x5f, 0x74, 0x79, 0x70, 0x65, 0x5f,
	0x69, 0x64, 0x18, 0x1f, 0x20, 0x03, 0x28, 0x03, 0x52, 0x0a, 0x67, 0x72, 0x6f, 0x77, 0x54, 0x79,
	0x70, 0x65, 0x49, 0x64, 0x12, 0x42, 0x0a, 0x0e, 0x67, 0x72, 0x6f, 0x77, 0x5f, 0x74, 0x79, 0x70,
	0x65, 0x5f, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x20, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1c, 0x2e, 0x67,
	0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x53,
	0x74, 0x72, 0x69, 0x6e, 0x67, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x52, 0x0c, 0x67, 0x72, 0x6f, 0x77,
	0x54, 0x79, 0x70, 0x65, 0x4e, 0x61, 0x6d, 0x65, 0x12, 0x24, 0x0a, 0x0e, 0x67, 0x72, 0x6f, 0x77,
	0x5f, 0x73, 0x65, 0x61, 0x73, 0x6f, 0x6e, 0x5f, 0x69, 0x64, 0x18, 0x21, 0x20, 0x03, 0x28, 0x03,
	0x52, 0x0c, 0x67, 0x72, 0x6f, 0x77, 0x53, 0x65, 0x61, 0x73, 0x6f, 0x6e, 0x49, 0x64, 0x12, 0x46,
	0x0a, 0x10, 0x67, 0x72, 0x6f, 0x77, 0x5f, 0x73, 0x65, 0x61, 0x73, 0x6f, 0x6e, 0x5f, 0x6e, 0x61,
	0x6d, 0x65, 0x18, 0x22, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1c, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c,
	0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x53, 0x74, 0x72, 0x69, 0x6e,
	0x67, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x52, 0x0e, 0x67, 0x72, 0x6f, 0x77, 0x53, 0x65, 0x61, 0x73,
	0x6f, 0x6e, 0x4e, 0x61, 0x6d, 0x65, 0x12, 0x1d, 0x0a, 0x0a, 0x70, 0x75, 0x72, 0x70, 0x6f, 0x73,
	0x65, 0x5f, 0x69, 0x64, 0x18, 0x23, 0x20, 0x03, 0x28, 0x03, 0x52, 0x09, 0x70, 0x75, 0x72, 0x70,
	0x6f, 0x73, 0x65, 0x49, 0x64, 0x12, 0x3f, 0x0a, 0x0c, 0x70, 0x75, 0x72, 0x70, 0x6f, 0x73, 0x65,
	0x5f, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x24, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1c, 0x2e, 0x67, 0x6f,
	0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x53, 0x74,
	0x72, 0x69, 0x6e, 0x67, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x52, 0x0b, 0x70, 0x75, 0x72, 0x70, 0x6f,
	0x73, 0x65, 0x4e, 0x61, 0x6d, 0x65, 0x12, 0x27, 0x0a, 0x0f, 0x72, 0x65, 0x70, 0x72, 0x6f, 0x64,
	0x75, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x5f, 0x69, 0x64, 0x18, 0x25, 0x20, 0x03, 0x28, 0x03, 0x52,
	0x0e, 0x72, 0x65, 0x70, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x49, 0x64, 0x12,
	0x49, 0x0a, 0x11, 0x72, 0x65, 0x70, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x5f,
	0x6e, 0x61, 0x6d, 0x65, 0x18, 0x26, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1c, 0x2e, 0x67, 0x6f, 0x6f,
	0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x53, 0x74, 0x72,
	0x69, 0x6e, 0x67, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x52, 0x10, 0x72, 0x65, 0x70, 0x72, 0x6f, 0x64,
	0x75, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x4e, 0x61, 0x6d, 0x65, 0x12, 0x31, 0x0a, 0x15, 0x66, 0x72,
	0x75, 0x69, 0x74, 0x5f, 0x74, 0x65, 0x63, 0x68, 0x5f, 0x63, 0x6f, 0x6c, 0x6f, 0x72, 0x5f, 0x6e,
	0x61, 0x6d, 0x65, 0x18, 0x27, 0x20, 0x03, 0x28, 0x09, 0x52, 0x12, 0x66, 0x72, 0x75, 0x69, 0x74,
	0x54, 0x65, 0x63, 0x68, 0x43, 0x6f, 0x6c, 0x6f, 0x72, 0x4e, 0x61, 0x6d, 0x65, 0x12, 0x2f, 0x0a,
	0x14, 0x66, 0x72, 0x75, 0x69, 0x74, 0x5f, 0x62, 0x69, 0x6f, 0x5f, 0x63, 0x6f, 0x6c, 0x6f, 0x72,
	0x5f, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x28, 0x20, 0x03, 0x28, 0x09, 0x52, 0x11, 0x66, 0x72, 0x75,
	0x69, 0x74, 0x42, 0x69, 0x6f, 0x43, 0x6f, 0x6c, 0x6f, 0x72, 0x4e, 0x61, 0x6d, 0x65, 0x12, 0x31,
	0x0a, 0x15, 0x66, 0x72, 0x75, 0x69, 0x74, 0x5f, 0x70, 0x75, 0x6c, 0x70, 0x5f, 0x63, 0x6f, 0x6c,
	0x6f, 0x72, 0x5f, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x29, 0x20, 0x03, 0x28, 0x09, 0x52, 0x12, 0x66,
	0x72, 0x75, 0x69, 0x74, 0x50, 0x75, 0x6c, 0x70, 0x43, 0x6f, 0x6c, 0x6f, 0x72, 0x4e, 0x61, 0x6d,
	0x65, 0x4a, 0x04, 0x08, 0x19, 0x10, 0x1f, 0x22, 0x10, 0x0a, 0x0e, 0x52, 0x65, 0x73, 0x6f, 0x75,
	0x72, 0x63, 0x65, 0x73, 0x53, 0x65, 0x65, 0x64, 0x73, 0x22, 0x14, 0x0a, 0x12, 0x52, 0x65, 0x73,
	0x6f, 0x75, 0x72, 0x63, 0x65, 0x73, 0x46, 0x65, 0x72, 0x74, 0x69, 0x6c, 0x69, 0x7a, 0x65, 0x22,
	0x1b, 0x0a, 0x19, 0x52, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x73, 0x4d, 0x69, 0x63, 0x72,
	0x6f, 0x46, 0x65, 0x72, 0x74, 0x69, 0x6c, 0x69, 0x7a, 0x65, 0x72, 0x73, 0x22, 0x14, 0x0a, 0x12,
	0x52, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x73, 0x43, 0x68, 0x65, 0x6d, 0x69, 0x73, 0x74,
	0x72, 0x79, 0x2a, 0x46, 0x0a, 0x0c, 0x49, 0x6d, 0x61, 0x67, 0x65, 0x51, 0x75, 0x61, 0x6c, 0x69,
	0x74, 0x79, 0x12, 0x12, 0x0a, 0x0e, 0x49, 0x51, 0x5f, 0x55, 0x4e, 0x53, 0x50, 0x45, 0x43, 0x49,
	0x46, 0x49, 0x45, 0x44, 0x10, 0x00, 0x12, 0x0f, 0x0a, 0x0b, 0x49, 0x51, 0x5f, 0x44, 0x45, 0x54,
	0x41, 0x49, 0x4c, 0x45, 0x44, 0x10, 0x01, 0x12, 0x11, 0x0a, 0x0d, 0x49, 0x51, 0x5f, 0x43, 0x4f,
	0x4d, 0x50, 0x52, 0x45, 0x53, 0x53, 0x45, 0x44, 0x10, 0x02, 0x2a, 0x56, 0x0a, 0x0f, 0x50, 0x72,
	0x6f, 0x64, 0x75, 0x63, 0x74, 0x46, 0x69, 0x6c, 0x65, 0x54, 0x79, 0x70, 0x65, 0x12, 0x13, 0x0a,
	0x0f, 0x50, 0x46, 0x54, 0x5f, 0x55, 0x4e, 0x53, 0x50, 0x45, 0x43, 0x49, 0x46, 0x49, 0x45, 0x44,
	0x10, 0x00, 0x12, 0x0d, 0x0a, 0x09, 0x50, 0x46, 0x54, 0x5f, 0x49, 0x4d, 0x41, 0x47, 0x45, 0x10,
	0x01, 0x12, 0x0d, 0x0a, 0x09, 0x50, 0x46, 0x54, 0x5f, 0x56, 0x49, 0x44, 0x45, 0x4f, 0x10, 0x02,
	0x12, 0x10, 0x0a, 0x0c, 0x50, 0x46, 0x54, 0x5f, 0x44, 0x4f, 0x43, 0x55, 0x4d, 0x45, 0x4e, 0x54,
	0x10, 0x03, 0x42, 0x4b, 0x0a, 0x15, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x61, 0x70,
	0x69, 0x73, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x50, 0x01, 0x5a, 0x2d, 0x67,
	0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x66, 0x63, 0x70, 0x61, 0x72, 0x74,
	0x6e, 0x65, 0x72, 0x73, 0x2f, 0x61, 0x70, 0x69, 0x73, 0x2f, 0x67, 0x65, 0x6e, 0x2f, 0x6f, 0x72,
	0x64, 0x65, 0x72, 0x2f, 0x76, 0x31, 0x2f, 0x6f, 0x72, 0x64, 0x65, 0x72, 0xba, 0x02, 0x00, 0x62,
	0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_v1_order_model_product_proto_rawDescOnce sync.Once
	file_v1_order_model_product_proto_rawDescData = file_v1_order_model_product_proto_rawDesc
)

func file_v1_order_model_product_proto_rawDescGZIP() []byte {
	file_v1_order_model_product_proto_rawDescOnce.Do(func() {
		file_v1_order_model_product_proto_rawDescData = protoimpl.X.CompressGZIP(file_v1_order_model_product_proto_rawDescData)
	})
	return file_v1_order_model_product_proto_rawDescData
}

var file_v1_order_model_product_proto_enumTypes = make([]protoimpl.EnumInfo, 2)
var file_v1_order_model_product_proto_msgTypes = make([]protoimpl.MessageInfo, 13)
var file_v1_order_model_product_proto_goTypes = []interface{}{
	(ImageQuality)(0),                 // 0: fcp.order.v1.order.ImageQuality
	(ProductFileType)(0),              // 1: fcp.order.v1.order.ProductFileType
	(*Product)(nil),                   // 2: fcp.order.v1.order.Product
	(*ProductSeedsCondition)(nil),     // 3: fcp.order.v1.order.ProductSeedsCondition
	(*ProductFile)(nil),               // 4: fcp.order.v1.order.ProductFile
	(*ProductFileFilter)(nil),         // 5: fcp.order.v1.order.ProductFileFilter
	(*ListProductFileRequest)(nil),    // 6: fcp.order.v1.order.ListProductFileRequest
	(*ImageQualityValue)(nil),         // 7: fcp.order.v1.order.ImageQualityValue
	(*ProductFilter)(nil),             // 8: fcp.order.v1.order.ProductFilter
	(*ProductChemicalsFilter)(nil),    // 9: fcp.order.v1.order.ProductChemicalsFilter
	(*ProductSeedsFilter)(nil),        // 10: fcp.order.v1.order.ProductSeedsFilter
	(*ResourcesSeeds)(nil),            // 11: fcp.order.v1.order.ResourcesSeeds
	(*ResourcesFertilize)(nil),        // 12: fcp.order.v1.order.ResourcesFertilize
	(*ResourcesMicroFertilizers)(nil), // 13: fcp.order.v1.order.ResourcesMicroFertilizers
	(*ResourcesChemistry)(nil),        // 14: fcp.order.v1.order.ResourcesChemistry
	(ProductProcess)(0),               // 15: fcp.order.v1.order.ProductProcess
	(ProductType)(0),                  // 16: fcp.order.v1.order.ProductType
	(*timestamp.Timestamp)(nil),       // 17: google.protobuf.Timestamp
	(*wrappers.Int64Value)(nil),       // 18: google.protobuf.Int64Value
	(*Sorting)(nil),                   // 19: fcp.order.v1.order.Sorting
	(*wrappers.StringValue)(nil),      // 20: google.protobuf.StringValue
	(*wrappers.BoolValue)(nil),        // 21: google.protobuf.BoolValue
}
var file_v1_order_model_product_proto_depIdxs = []int32{
	15, // 0: fcp.order.v1.order.Product.process:type_name -> fcp.order.v1.order.ProductProcess
	16, // 1: fcp.order.v1.order.Product.type:type_name -> fcp.order.v1.order.ProductType
	3,  // 2: fcp.order.v1.order.Product.product_seeds_condition:type_name -> fcp.order.v1.order.ProductSeedsCondition
	1,  // 3: fcp.order.v1.order.ProductFile.type:type_name -> fcp.order.v1.order.ProductFileType
	0,  // 4: fcp.order.v1.order.ProductFile.quality:type_name -> fcp.order.v1.order.ImageQuality
	17, // 5: fcp.order.v1.order.ProductFile.created_at:type_name -> google.protobuf.Timestamp
	18, // 6: fcp.order.v1.order.ProductFileFilter.product_id:type_name -> google.protobuf.Int64Value
	7,  // 7: fcp.order.v1.order.ProductFileFilter.quality:type_name -> fcp.order.v1.order.ImageQualityValue
	1,  // 8: fcp.order.v1.order.ProductFileFilter.file_type:type_name -> fcp.order.v1.order.ProductFileType
	1,  // 9: fcp.order.v1.order.ListProductFileRequest.file_type:type_name -> fcp.order.v1.order.ProductFileType
	19, // 10: fcp.order.v1.order.ListProductFileRequest.sorting:type_name -> fcp.order.v1.order.Sorting
	0,  // 11: fcp.order.v1.order.ImageQualityValue.value:type_name -> fcp.order.v1.order.ImageQuality
	20, // 12: fcp.order.v1.order.ProductFilter.name:type_name -> google.protobuf.StringValue
	15, // 13: fcp.order.v1.order.ProductFilter.process:type_name -> fcp.order.v1.order.ProductProcess
	16, // 14: fcp.order.v1.order.ProductFilter.type:type_name -> fcp.order.v1.order.ProductType
	20, // 15: fcp.order.v1.order.ProductFilter.category_name:type_name -> google.protobuf.StringValue
	20, // 16: fcp.order.v1.order.ProductFilter.brand_name:type_name -> google.protobuf.StringValue
	20, // 17: fcp.order.v1.order.ProductFilter.quantity_type_name:type_name -> google.protobuf.StringValue
	20, // 18: fcp.order.v1.order.ProductFilter.product_group_name:type_name -> google.protobuf.StringValue
	20, // 19: fcp.order.v1.order.ProductFilter.product_subgroup_name:type_name -> google.protobuf.StringValue
	20, // 20: fcp.order.v1.order.ProductFilter.category_group_name:type_name -> google.protobuf.StringValue
	20, // 21: fcp.order.v1.order.ProductFilter.color_name:type_name -> google.protobuf.StringValue
	21, // 22: fcp.order.v1.order.ProductSeedsFilter.is_organic:type_name -> google.protobuf.BoolValue
	21, // 23: fcp.order.v1.order.ProductSeedsFilter.is_pollinator:type_name -> google.protobuf.BoolValue
	20, // 24: fcp.order.v1.order.ProductSeedsFilter.sort_type_name:type_name -> google.protobuf.StringValue
	20, // 25: fcp.order.v1.order.ProductSeedsFilter.plant_type_name:type_name -> google.protobuf.StringValue
	20, // 26: fcp.order.v1.order.ProductSeedsFilter.species_name:type_name -> google.protobuf.StringValue
	20, // 27: fcp.order.v1.order.ProductSeedsFilter.maturity_group_name:type_name -> google.protobuf.StringValue
	20, // 28: fcp.order.v1.order.ProductSeedsFilter.fruit_form_name:type_name -> google.protobuf.StringValue
	20, // 29: fcp.order.v1.order.ProductSeedsFilter.pollination_type_name:type_name -> google.protobuf.StringValue
	20, // 30: fcp.order.v1.order.ProductSeedsFilter.fruit_average_weight_name:type_name -> google.protobuf.StringValue
	20, // 31: fcp.order.v1.order.ProductSeedsFilter.origin_country_name:type_name -> google.protobuf.StringValue
	20, // 32: fcp.order.v1.order.ProductSeedsFilter.treatment_chemicals_name:type_name -> google.protobuf.StringValue
	20, // 33: fcp.order.v1.order.ProductSeedsFilter.technology_type_name:type_name -> google.protobuf.StringValue
	20, // 34: fcp.order.v1.order.ProductSeedsFilter.grow_type_name:type_name -> google.protobuf.StringValue
	20, // 35: fcp.order.v1.order.ProductSeedsFilter.grow_season_name:type_name -> google.protobuf.StringValue
	20, // 36: fcp.order.v1.order.ProductSeedsFilter.purpose_name:type_name -> google.protobuf.StringValue
	20, // 37: fcp.order.v1.order.ProductSeedsFilter.reproduction_name:type_name -> google.protobuf.StringValue
	38, // [38:38] is the sub-list for method output_type
	38, // [38:38] is the sub-list for method input_type
	38, // [38:38] is the sub-list for extension type_name
	38, // [38:38] is the sub-list for extension extendee
	0,  // [0:38] is the sub-list for field type_name
}

func init() { file_v1_order_model_product_proto_init() }
func file_v1_order_model_product_proto_init() {
	if File_v1_order_model_product_proto != nil {
		return
	}
	file_v1_order_enum_proto_init()
	file_v1_order_common_proto_init()
	if !protoimpl.UnsafeEnabled {
		file_v1_order_model_product_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Product); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_order_model_product_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ProductSeedsCondition); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_order_model_product_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ProductFile); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_order_model_product_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ProductFileFilter); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_order_model_product_proto_msgTypes[4].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ListProductFileRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_order_model_product_proto_msgTypes[5].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ImageQualityValue); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_order_model_product_proto_msgTypes[6].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ProductFilter); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_order_model_product_proto_msgTypes[7].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ProductChemicalsFilter); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_order_model_product_proto_msgTypes[8].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ProductSeedsFilter); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_order_model_product_proto_msgTypes[9].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ResourcesSeeds); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_order_model_product_proto_msgTypes[10].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ResourcesFertilize); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_order_model_product_proto_msgTypes[11].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ResourcesMicroFertilizers); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_order_model_product_proto_msgTypes[12].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ResourcesChemistry); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_v1_order_model_product_proto_rawDesc,
			NumEnums:      2,
			NumMessages:   13,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_v1_order_model_product_proto_goTypes,
		DependencyIndexes: file_v1_order_model_product_proto_depIdxs,
		EnumInfos:         file_v1_order_model_product_proto_enumTypes,
		MessageInfos:      file_v1_order_model_product_proto_msgTypes,
	}.Build()
	File_v1_order_model_product_proto = out.File
	file_v1_order_model_product_proto_rawDesc = nil
	file_v1_order_model_product_proto_goTypes = nil
	file_v1_order_model_product_proto_depIdxs = nil
}
